/* WifiPage.c generated by valac 0.56.17, the Vala compiler
 * generated from WifiPage.vala, do not modify */

/*
 * SPDX-License-Identifier: LGPL-2.1-or-later
 * SPDX-FileCopyrightText: 2015-2024 elementary, Inc. (https://elementary.io)
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include "network.h"
#include <NetworkManager.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <glib-object.h>
#include <switchboard.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>
#include <granite-7.h>
#include <nma-wifi-dialog.h>
#include <gio/gio.h>
#include <pango/pango.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	NETWORK_WIFI_INTERFACE_0_PROPERTY,
	NETWORK_WIFI_INTERFACE_NUM_PROPERTIES
};
static GParamSpec* network_wifi_interface_properties[NETWORK_WIFI_INTERFACE_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _rf_kill_device_unref0(var) ((var == NULL) ? NULL : (var = (rf_kill_device_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block9Data Block9Data;
#define _g_ptr_array_unref0(var) ((var == NULL) ? NULL : (var = (g_ptr_array_unref (var), NULL)))
typedef struct _Block10Data Block10Data;
#define _g_bytes_unref0(var) ((var == NULL) ? NULL : (var = (g_bytes_unref (var), NULL)))
typedef struct _Block11Data Block11Data;
typedef struct _Block12Data Block12Data;
typedef struct _NetworkWifiInterfaceConnectToNetworkData NetworkWifiInterfaceConnectToNetworkData;

struct _NetworkWifiInterfacePrivate {
	RFKillManager* rfkill;
	NMAccessPoint* active_ap;
	GtkListBox* wifi_list;
	NetworkWifiMenuItem* _active_wifi_item;
	GtkStack* placeholder;
	gboolean locked;
	gboolean software_locked;
	gboolean hardware_locked;
	guint timeout_scan;
};

struct _Block9Data {
	int _ref_count_;
	NetworkWifiInterface* self;
	NMClient* client;
};

struct _Block10Data {
	int _ref_count_;
	Block9Data * _data9_;
	NMAWifiDialog* wifi_dialog;
};

struct _Block11Data {
	int _ref_count_;
	NetworkWifiInterface* self;
	NMAWifiDialog* hidden_dialog;
};

struct _Block12Data {
	int _ref_count_;
	NetworkWifiInterface* self;
	NMConnection* fuzzy;
	NMConnection* dialog_connection;
	gpointer _async_data_;
};

struct _NetworkWifiInterfaceConnectToNetworkData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	NetworkWifiInterface* self;
	NMAWifiDialog* wifi_dialog;
	Block12Data* _data12_;
	NMDevice* dialog_device;
	NMAccessPoint* dialog_ap;
	NMDevice* _tmp0_;
	NMAccessPoint* _tmp1_;
	NMConnection* _tmp2_;
	NetworkNetworkManager* network_manager;
	NetworkNetworkManager* _tmp3_;
	NMClient* client;
	NetworkNetworkManager* _tmp4_;
	NMClient* _tmp5_;
	NMClient* _tmp6_;
	NMClient* _tmp7_;
	GPtrArray* _tmp8_;
	gchar* path;
	NMAccessPoint* _tmp9_;
	NMAccessPoint* _tmp10_;
	const gchar* _tmp11_;
	gchar* _tmp12_;
	NMConnection* _tmp13_;
	NMClient* _tmp14_;
	NMConnection* _tmp15_;
	NMDeviceWifi* _tmp16_;
	const gchar* _tmp17_;
	NMActiveConnection* _tmp18_;
	NMActiveConnection* _tmp19_;
	GError* _error_;
	GError* _tmp20_;
	const gchar* _tmp21_;
	gchar* mode;
	NMSettingWireless* setting_wireless;
	NMConnection* _tmp22_;
	NMSettingWireless* _tmp23_;
	NMSettingWireless* _tmp24_;
	NMSettingWireless* _tmp25_;
	const gchar* _tmp26_;
	gchar* _tmp27_;
	const gchar* _tmp28_;
	NMSettingConnection* connection_setting;
	NMConnection* _tmp29_;
	NMSettingConnection* _tmp30_;
	NMSettingConnection* _tmp31_;
	NMSettingConnection* _tmp32_;
	NMSettingConnection* _tmp33_;
	NMConnection* _tmp34_;
	NMSettingConnection* _tmp35_;
	NMSetting* _tmp36_;
	NMClient* _tmp37_;
	NMConnection* _tmp38_;
	NMDevice* _tmp39_;
	const gchar* _tmp40_;
	NMActiveConnection* _tmp41_;
	NMActiveConnection* _tmp42_;
	GError* _vala1__error_;
	GError* _tmp43_;
	const gchar* _tmp44_;
	GError* _inner_error0_;
};

static gint NetworkWifiInterface_private_offset;
static gpointer network_wifi_interface_parent_class = NULL;

static void network_wifi_interface_real_update_name (NetworkWidgetsPage* base,
                                              gint count);
static void network_wifi_interface_access_point_added_cb (NetworkWifiInterface* self,
                                                   GObject* ap_);
static void network_wifi_interface_wifi_activate_cb (NetworkWifiInterface* self,
                                              NetworkWifiMenuItem* row);
static void _network_wifi_interface_wifi_activate_cb_network_wifi_menu_item_user_action (NetworkWifiMenuItem* _sender,
                                                                                  gpointer self);
static void network_wifi_interface_update_active_ap (NetworkWifiInterface* self);
static NetworkWifiMenuItem* network_wifi_interface_get_active_wifi_item (NetworkWifiInterface* self);
static void network_wifi_interface_set_active_wifi_item (NetworkWifiInterface* self,
                                                  NetworkWifiMenuItem* value);
static void network_wifi_interface_access_point_removed_cb (NetworkWifiInterface* self,
                                                     GObject* ap_);
static void network_wifi_interface_real_update (NetworkWidgetsPage* base);
static void network_wifi_interface_cancel_scan (NetworkWifiInterface* self);
static void network_wifi_interface_set_scan_placeholder (NetworkWifiInterface* self);
static void _rf_kill_device_unref0_ (gpointer var);
static inline void _g_list_free__rf_kill_device_unref0_ (GList* self);
static void ____lambda25_ (NetworkWifiInterface* self);
static void _____lambda25__gtk_button_clicked (GtkButton* _sender,
                                        gpointer self);
static void _network_widgets_page_open_advanced_settings_gtk_button_clicked (GtkButton* _sender,
                                                                      gpointer self);
static void network_wifi_interface_real_update_status (NetworkWidgetsPage* base);
static void network_wifi_interface_real_update_switch (NetworkWidgetsPage* base);
static void network_wifi_interface_real_control_switch_activated (NetworkWidgetsPage* base);
static Block9Data* block9_data_ref (Block9Data* _data9_);
static void block9_data_unref (void * _userdata_);
static NMConnection* network_wifi_interface_get_valid_connection (NetworkWifiInterface* self,
                                                           NMAccessPoint* ap,
                                                           GPtrArray* ap_connections);
static Block10Data* block10_data_ref (Block10Data* _data10_);
static void block10_data_unref (void * _userdata_);
static void ___lambda20_ (Block10Data* _data10_,
                   gint response);
static void network_wifi_interface_connect_to_network (NetworkWifiInterface* self,
                                                NMAWifiDialog* wifi_dialog,
                                                GAsyncReadyCallback _callback_,
                                                gpointer _user_data_);
static void network_wifi_interface_connect_to_network_finish (NetworkWifiInterface* self,
                                                       GAsyncResult* _res_);
static void ____lambda20__gtk_dialog_response (GtkDialog* _sender,
                                        gint response_id,
                                        gpointer self);
static void ___lambda22_ (Block9Data* _data9_,
                   GObject* obj,
                   GAsyncResult* res);
static void ____lambda22__gasync_ready_callback (GObject* source_object,
                                          GAsyncResult* res,
                                          gpointer self);
static gboolean __lambda23_ (NetworkWifiInterface* self);
static gboolean ___lambda23__gsource_func (gpointer self);
static void network_wifi_interface_connect_to_hidden (NetworkWifiInterface* self);
static Block11Data* block11_data_ref (Block11Data* _data11_);
static void block11_data_unref (void * _userdata_);
static void __lambda26_ (Block11Data* _data11_,
                  gint response);
static void ___lambda26__gtk_dialog_response (GtkDialog* _sender,
                                       gint response_id,
                                       gpointer self);
static void network_wifi_interface_connect_to_network_data_free (gpointer _data);
static gboolean network_wifi_interface_connect_to_network_co (NetworkWifiInterfaceConnectToNetworkData* _data_);
static Block12Data* block12_data_ref (Block12Data* _data12_);
static void block12_data_unref (void * _userdata_);
static void __lambda21_ (Block12Data* _data12_,
                  NMRemoteConnection* possible);
static void ___lambda21__gfunc (gconstpointer data,
                         gpointer self);
static void network_wifi_interface_connect_to_network_ready (GObject* source_object,
                                                      GAsyncResult* _res_,
                                                      gpointer _user_data_);
static gboolean ___lambda24_ (NetworkWifiInterface* self);
static gboolean ____lambda24__gsource_func (gpointer self);
static gint network_wifi_interface_sort_func (NetworkWifiInterface* self,
                                       GtkListBoxRow* r1,
                                       GtkListBoxRow* r2);
static GObject * network_wifi_interface_constructor (GType type,
                                              guint n_construct_properties,
                                              GObjectConstructParam * construct_properties);
static gint _network_wifi_interface_sort_func_gtk_list_box_sort_func (GtkListBoxRow* row1,
                                                               GtkListBoxRow* row2,
                                                               gpointer self);
static void _network_widgets_page_edit_connections_gtk_button_clicked (GtkButton* _sender,
                                                                gpointer self);
static void _network_wifi_interface_connect_to_hidden_gtk_button_clicked (GtkButton* _sender,
                                                                   gpointer self);
static void _network_widgets_page_update_rf_kill_manager_device_added (RFKillManager* _sender,
                                                                RFKillDevice* device,
                                                                gpointer self);
static void _network_widgets_page_update_rf_kill_manager_device_changed (RFKillManager* _sender,
                                                                  RFKillDevice* device,
                                                                  gpointer self);
static void _network_widgets_page_update_rf_kill_manager_device_deleted (RFKillManager* _sender,
                                                                  RFKillDevice* device,
                                                                  gpointer self);
static void _network_widgets_page_update_g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self);
static void _network_wifi_interface_access_point_added_cb_nm_device_wifi_access_point_added (NMDeviceWifi* _sender,
                                                                                      GObject* ap,
                                                                                      gpointer self);
static void _network_wifi_interface_access_point_removed_cb_nm_device_wifi_access_point_removed (NMDeviceWifi* _sender,
                                                                                          GObject* ap,
                                                                                          gpointer self);
static void _network_widgets_page_update_nm_device_state_changed (NMDevice* _sender,
                                                           guint new_state,
                                                           guint old_state,
                                                           guint reason,
                                                           gpointer self);
static void _network_wifi_interface_access_point_added_cb_gfunc (gconstpointer data,
                                                          gpointer self);
static void network_wifi_interface_finalize (GObject * obj);
static GType network_wifi_interface_get_type_once (void);
static void _vala_network_wifi_interface_get_property (GObject * object,
                                                guint property_id,
                                                GValue * value,
                                                GParamSpec * pspec);
static void _vala_network_wifi_interface_set_property (GObject * object,
                                                guint property_id,
                                                const GValue * value,
                                                GParamSpec * pspec);

static inline gpointer
network_wifi_interface_get_instance_private (NetworkWifiInterface* self)
{
	return G_STRUCT_MEMBER_P (self, NetworkWifiInterface_private_offset);
}

NetworkWifiInterface*
network_wifi_interface_construct (GType object_type,
                                  NMDevice* device)
{
	NetworkWifiInterface * self = NULL;
#line 35 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 36 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) g_object_new (object_type, "activatable", TRUE, "device", device, NULL);
#line 35 "../src/Views/WifiPage.vala"
	return self;
#line 298 "WifiPage.c"
}

NetworkWifiInterface*
network_wifi_interface_new (NMDevice* device)
{
#line 35 "../src/Views/WifiPage.vala"
	return network_wifi_interface_construct (NETWORK_TYPE_WIFI_INTERFACE, device);
#line 306 "WifiPage.c"
}

static void
network_wifi_interface_real_update_name (NetworkWidgetsPage* base,
                                         gint count)
{
	NetworkWifiInterface * self;
#line 167 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 168 "../src/Views/WifiPage.vala"
	if (count <= 1) {
#line 169 "../src/Views/WifiPage.vala"
		switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _ ("Wireless"));
#line 320 "WifiPage.c"
	} else {
		NMDevice* _tmp0_;
		NMDevice* _tmp1_;
		const gchar* _tmp2_;
#line 171 "../src/Views/WifiPage.vala"
		_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 171 "../src/Views/WifiPage.vala"
		_tmp1_ = _tmp0_;
#line 171 "../src/Views/WifiPage.vala"
		_tmp2_ = nm_device_get_description (_tmp1_);
#line 171 "../src/Views/WifiPage.vala"
		switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _tmp2_);
#line 333 "WifiPage.c"
	}
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 176 "../src/Views/WifiPage.vala"
	return self ? g_object_ref (self) : NULL;
#line 342 "WifiPage.c"
}

static void
_network_wifi_interface_wifi_activate_cb_network_wifi_menu_item_user_action (NetworkWifiMenuItem* _sender,
                                                                             gpointer self)
{
#line 200 "../src/Views/WifiPage.vala"
	network_wifi_interface_wifi_activate_cb ((NetworkWifiInterface*) self, _sender);
#line 351 "WifiPage.c"
}

static void
network_wifi_interface_access_point_added_cb (NetworkWifiInterface* self,
                                              GObject* ap_)
{
	NMAccessPoint* ap = NULL;
	NMAccessPoint* _tmp0_;
	gboolean found = FALSE;
	NMAccessPoint* _tmp1_;
	GBytes* _tmp2_;
	GBytes* _tmp3_;
	gboolean _tmp20_ = FALSE;
#line 175 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 175 "../src/Views/WifiPage.vala"
	g_return_if_fail (ap_ != NULL);
#line 176 "../src/Views/WifiPage.vala"
	_tmp0_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (ap_, nm_access_point_get_type (), NMAccessPoint));
#line 176 "../src/Views/WifiPage.vala"
	ap = _tmp0_;
#line 178 "../src/Views/WifiPage.vala"
	found = FALSE;
#line 180 "../src/Views/WifiPage.vala"
	_tmp1_ = ap;
#line 180 "../src/Views/WifiPage.vala"
	_tmp2_ = nm_access_point_get_ssid (_tmp1_);
#line 180 "../src/Views/WifiPage.vala"
	_tmp3_ = _tmp2_;
#line 180 "../src/Views/WifiPage.vala"
	if (_tmp3_ != NULL) {
#line 383 "WifiPage.c"
		GtkWidget* child = NULL;
		GtkListBox* _tmp4_;
		GtkWidget* _tmp5_;
#line 181 "../src/Views/WifiPage.vala"
		_tmp4_ = self->priv->wifi_list;
#line 181 "../src/Views/WifiPage.vala"
		_tmp5_ = gtk_widget_get_first_child ((GtkWidget*) _tmp4_);
#line 181 "../src/Views/WifiPage.vala"
		child = _tmp5_;
#line 182 "../src/Views/WifiPage.vala"
		while (TRUE) {
#line 395 "WifiPage.c"
			GtkWidget* _tmp6_;
			GtkWidget* _tmp7_;
			GtkWidget* _tmp18_;
			GtkWidget* _tmp19_;
#line 182 "../src/Views/WifiPage.vala"
			_tmp6_ = child;
#line 182 "../src/Views/WifiPage.vala"
			if (!(_tmp6_ != NULL)) {
#line 182 "../src/Views/WifiPage.vala"
				break;
#line 406 "WifiPage.c"
			}
#line 183 "../src/Views/WifiPage.vala"
			_tmp7_ = child;
#line 183 "../src/Views/WifiPage.vala"
			if (NETWORK_IS_WIFI_MENU_ITEM (_tmp7_)) {
#line 412 "WifiPage.c"
				NetworkWifiMenuItem* menu_item = NULL;
				GtkWidget* _tmp8_;
				NetworkWifiMenuItem* _tmp9_;
				NMAccessPoint* _tmp10_;
				GBytes* _tmp11_;
				GBytes* _tmp12_;
				NetworkWifiMenuItem* _tmp13_;
				GBytes* _tmp14_;
				GBytes* _tmp15_;
#line 184 "../src/Views/WifiPage.vala"
				_tmp8_ = child;
#line 184 "../src/Views/WifiPage.vala"
				_tmp9_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 184 "../src/Views/WifiPage.vala"
				menu_item = _tmp9_;
#line 185 "../src/Views/WifiPage.vala"
				_tmp10_ = ap;
#line 185 "../src/Views/WifiPage.vala"
				_tmp11_ = nm_access_point_get_ssid (_tmp10_);
#line 185 "../src/Views/WifiPage.vala"
				_tmp12_ = _tmp11_;
#line 185 "../src/Views/WifiPage.vala"
				_tmp13_ = menu_item;
#line 185 "../src/Views/WifiPage.vala"
				_tmp14_ = network_wifi_menu_item_get_ssid (_tmp13_);
#line 185 "../src/Views/WifiPage.vala"
				_tmp15_ = _tmp14_;
#line 185 "../src/Views/WifiPage.vala"
				if (g_bytes_compare (_tmp12_, _tmp15_) == 0) {
#line 442 "WifiPage.c"
					NetworkWifiMenuItem* _tmp16_;
					NMAccessPoint* _tmp17_;
#line 186 "../src/Views/WifiPage.vala"
					found = TRUE;
#line 187 "../src/Views/WifiPage.vala"
					_tmp16_ = menu_item;
#line 187 "../src/Views/WifiPage.vala"
					_tmp17_ = ap;
#line 187 "../src/Views/WifiPage.vala"
					network_wifi_menu_item_add_ap (_tmp16_, _tmp17_);
#line 188 "../src/Views/WifiPage.vala"
					_g_object_unref0 (menu_item);
#line 188 "../src/Views/WifiPage.vala"
					break;
#line 457 "WifiPage.c"
				}
#line 183 "../src/Views/WifiPage.vala"
				_g_object_unref0 (menu_item);
#line 461 "WifiPage.c"
			}
#line 191 "../src/Views/WifiPage.vala"
			_tmp18_ = child;
#line 191 "../src/Views/WifiPage.vala"
			_tmp19_ = gtk_widget_get_next_sibling (_tmp18_);
#line 191 "../src/Views/WifiPage.vala"
			child = _tmp19_;
#line 469 "WifiPage.c"
		}
	}
#line 196 "../src/Views/WifiPage.vala"
	if (!found) {
#line 474 "WifiPage.c"
		NMAccessPoint* _tmp21_;
		GBytes* _tmp22_;
		GBytes* _tmp23_;
#line 196 "../src/Views/WifiPage.vala"
		_tmp21_ = ap;
#line 196 "../src/Views/WifiPage.vala"
		_tmp22_ = nm_access_point_get_ssid (_tmp21_);
#line 196 "../src/Views/WifiPage.vala"
		_tmp23_ = _tmp22_;
#line 196 "../src/Views/WifiPage.vala"
		_tmp20_ = _tmp23_ != NULL;
#line 486 "WifiPage.c"
	} else {
#line 196 "../src/Views/WifiPage.vala"
		_tmp20_ = FALSE;
#line 490 "WifiPage.c"
	}
#line 196 "../src/Views/WifiPage.vala"
	if (_tmp20_) {
#line 494 "WifiPage.c"
		NetworkWifiMenuItem* item = NULL;
		NMAccessPoint* _tmp24_;
		NetworkWifiMenuItem* _tmp25_ = NULL;
		NetworkWifiMenuItem* _tmp26_;
		GtkListBox* _tmp27_;
		NetworkWifiMenuItem* _tmp28_;
#line 197 "../src/Views/WifiPage.vala"
		_tmp24_ = ap;
#line 197 "../src/Views/WifiPage.vala"
		_tmp25_ = network_wifi_menu_item_new (_tmp24_);
#line 197 "../src/Views/WifiPage.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp25_, TRUE);
#line 197 "../src/Views/WifiPage.vala"
		g_object_ref_sink (_tmp25_);
#line 197 "../src/Views/WifiPage.vala"
		item = _tmp25_;
#line 200 "../src/Views/WifiPage.vala"
		_tmp26_ = item;
#line 200 "../src/Views/WifiPage.vala"
		g_signal_connect_object (_tmp26_, "user-action", (GCallback) _network_wifi_interface_wifi_activate_cb_network_wifi_menu_item_user_action, self, 0);
#line 202 "../src/Views/WifiPage.vala"
		_tmp27_ = self->priv->wifi_list;
#line 202 "../src/Views/WifiPage.vala"
		_tmp28_ = item;
#line 202 "../src/Views/WifiPage.vala"
		gtk_list_box_append (_tmp27_, (GtkWidget*) _tmp28_);
#line 204 "../src/Views/WifiPage.vala"
		network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 196 "../src/Views/WifiPage.vala"
		_g_object_unref0 (item);
#line 525 "WifiPage.c"
	}
#line 175 "../src/Views/WifiPage.vala"
	_g_object_unref0 (ap);
#line 529 "WifiPage.c"
}

static void
network_wifi_interface_update_active_ap (NetworkWifiInterface* self)
{
	NMDeviceWifi* _tmp0_;
	NMAccessPoint* _tmp1_;
	NMAccessPoint* _tmp2_;
	NetworkWifiMenuItem* _tmp3_;
	NMAccessPoint* _tmp8_;
#line 208 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 209 "../src/Views/WifiPage.vala"
	g_debug ("WifiPage.vala:209: Update active AP");
#line 211 "../src/Views/WifiPage.vala"
	_tmp0_ = self->wifi_device;
#line 211 "../src/Views/WifiPage.vala"
	_tmp1_ = nm_device_wifi_get_active_access_point (_tmp0_);
#line 211 "../src/Views/WifiPage.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 211 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->active_ap);
#line 211 "../src/Views/WifiPage.vala"
	self->priv->active_ap = _tmp2_;
#line 213 "../src/Views/WifiPage.vala"
	_tmp3_ = self->priv->_active_wifi_item;
#line 213 "../src/Views/WifiPage.vala"
	if (_tmp3_ != NULL) {
#line 558 "WifiPage.c"
		NetworkWifiMenuItem* _tmp4_;
		NMDeviceState _tmp5_;
		NMDeviceState _tmp6_;
#line 214 "../src/Views/WifiPage.vala"
		_tmp4_ = self->priv->_active_wifi_item;
#line 214 "../src/Views/WifiPage.vala"
		_tmp5_ = network_wifi_menu_item_get_state (_tmp4_);
#line 214 "../src/Views/WifiPage.vala"
		_tmp6_ = _tmp5_;
#line 214 "../src/Views/WifiPage.vala"
		if (_tmp6_ == NM_DEVICE_STATE_PREPARE) {
#line 570 "WifiPage.c"
			NetworkWifiMenuItem* _tmp7_;
#line 215 "../src/Views/WifiPage.vala"
			_tmp7_ = self->priv->_active_wifi_item;
#line 215 "../src/Views/WifiPage.vala"
			network_wifi_menu_item_set_state (_tmp7_, NM_DEVICE_STATE_DISCONNECTED);
#line 576 "WifiPage.c"
		}
#line 217 "../src/Views/WifiPage.vala"
		network_wifi_interface_set_active_wifi_item (self, NULL);
#line 580 "WifiPage.c"
	}
#line 220 "../src/Views/WifiPage.vala"
	_tmp8_ = self->priv->active_ap;
#line 220 "../src/Views/WifiPage.vala"
	if (_tmp8_ == NULL) {
#line 221 "../src/Views/WifiPage.vala"
		g_debug ("WifiPage.vala:221: No active AP");
#line 588 "WifiPage.c"
	} else {
		NMAccessPoint* _tmp9_;
		GBytes* _tmp10_;
		gsize _tmp11_ = 0;
		guint8* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gboolean found = FALSE;
		GtkWidget* child = NULL;
		GtkListBox* _tmp15_;
		GtkWidget* _tmp16_;
#line 223 "../src/Views/WifiPage.vala"
		_tmp9_ = self->priv->active_ap;
#line 223 "../src/Views/WifiPage.vala"
		_tmp10_ = nm_access_point_get_ssid (_tmp9_);
#line 223 "../src/Views/WifiPage.vala"
		_tmp12_ = g_bytes_get_data (_tmp10_, &_tmp11_);
#line 223 "../src/Views/WifiPage.vala"
		_tmp13_ = nm_utils_ssid_to_utf8 (_tmp12_, (gsize) _tmp11_);
#line 223 "../src/Views/WifiPage.vala"
		_tmp14_ = _tmp13_;
#line 223 "../src/Views/WifiPage.vala"
		g_debug ("WifiPage.vala:223: Active ap: %s", _tmp14_);
#line 223 "../src/Views/WifiPage.vala"
		_g_free0 (_tmp14_);
#line 225 "../src/Views/WifiPage.vala"
		found = FALSE;
#line 226 "../src/Views/WifiPage.vala"
		_tmp15_ = self->priv->wifi_list;
#line 226 "../src/Views/WifiPage.vala"
		_tmp16_ = gtk_widget_get_first_child ((GtkWidget*) _tmp15_);
#line 226 "../src/Views/WifiPage.vala"
		child = _tmp16_;
#line 227 "../src/Views/WifiPage.vala"
		while (TRUE) {
#line 624 "WifiPage.c"
			gboolean _tmp17_ = FALSE;
			GtkWidget* _tmp18_;
			GtkWidget* _tmp19_;
			GtkWidget* _tmp33_;
			GtkWidget* _tmp34_;
#line 227 "../src/Views/WifiPage.vala"
			_tmp18_ = child;
#line 227 "../src/Views/WifiPage.vala"
			if (_tmp18_ != NULL) {
#line 227 "../src/Views/WifiPage.vala"
				_tmp17_ = !found;
#line 636 "WifiPage.c"
			} else {
#line 227 "../src/Views/WifiPage.vala"
				_tmp17_ = FALSE;
#line 640 "WifiPage.c"
			}
#line 227 "../src/Views/WifiPage.vala"
			if (!_tmp17_) {
#line 227 "../src/Views/WifiPage.vala"
				break;
#line 646 "WifiPage.c"
			}
#line 228 "../src/Views/WifiPage.vala"
			_tmp19_ = child;
#line 228 "../src/Views/WifiPage.vala"
			if (NETWORK_IS_WIFI_MENU_ITEM (_tmp19_)) {
#line 652 "WifiPage.c"
				NetworkWifiMenuItem* menu_item = NULL;
				GtkWidget* _tmp20_;
				NetworkWifiMenuItem* _tmp21_;
				NMAccessPoint* _tmp22_;
				GBytes* _tmp23_;
				GBytes* _tmp24_;
				NetworkWifiMenuItem* _tmp25_;
				GBytes* _tmp26_;
				GBytes* _tmp27_;
#line 229 "../src/Views/WifiPage.vala"
				_tmp20_ = child;
#line 229 "../src/Views/WifiPage.vala"
				_tmp21_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp20_, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 229 "../src/Views/WifiPage.vala"
				menu_item = _tmp21_;
#line 231 "../src/Views/WifiPage.vala"
				_tmp22_ = self->priv->active_ap;
#line 231 "../src/Views/WifiPage.vala"
				_tmp23_ = nm_access_point_get_ssid (_tmp22_);
#line 231 "../src/Views/WifiPage.vala"
				_tmp24_ = _tmp23_;
#line 231 "../src/Views/WifiPage.vala"
				_tmp25_ = menu_item;
#line 231 "../src/Views/WifiPage.vala"
				_tmp26_ = network_wifi_menu_item_get_ssid (_tmp25_);
#line 231 "../src/Views/WifiPage.vala"
				_tmp27_ = _tmp26_;
#line 231 "../src/Views/WifiPage.vala"
				if (g_bytes_compare (_tmp24_, _tmp27_) == 0) {
#line 682 "WifiPage.c"
					NetworkWifiMenuItem* _tmp28_;
					NetworkWifiMenuItem* _tmp29_;
					NetworkWifiMenuItem* _tmp30_;
					NMDeviceState _tmp31_;
					NMDeviceState _tmp32_;
#line 232 "../src/Views/WifiPage.vala"
					found = TRUE;
#line 233 "../src/Views/WifiPage.vala"
					_tmp28_ = menu_item;
#line 233 "../src/Views/WifiPage.vala"
					network_wifi_menu_item_set_active (_tmp28_, TRUE);
#line 234 "../src/Views/WifiPage.vala"
					_tmp29_ = menu_item;
#line 234 "../src/Views/WifiPage.vala"
					network_wifi_interface_set_active_wifi_item (self, _tmp29_);
#line 235 "../src/Views/WifiPage.vala"
					_tmp30_ = self->priv->_active_wifi_item;
#line 235 "../src/Views/WifiPage.vala"
					_tmp31_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 235 "../src/Views/WifiPage.vala"
					_tmp32_ = _tmp31_;
#line 235 "../src/Views/WifiPage.vala"
					network_wifi_menu_item_set_state (_tmp30_, _tmp32_);
#line 706 "WifiPage.c"
				}
#line 228 "../src/Views/WifiPage.vala"
				_g_object_unref0 (menu_item);
#line 710 "WifiPage.c"
			}
#line 239 "../src/Views/WifiPage.vala"
			_tmp33_ = child;
#line 239 "../src/Views/WifiPage.vala"
			_tmp34_ = gtk_widget_get_next_sibling (_tmp33_);
#line 239 "../src/Views/WifiPage.vala"
			child = _tmp34_;
#line 718 "WifiPage.c"
		}
#line 243 "../src/Views/WifiPage.vala"
		if (!found) {
#line 244 "../src/Views/WifiPage.vala"
			g_debug ("WifiPage.vala:244: Active AP not added");
#line 724 "WifiPage.c"
		}
	}
}

static void
network_wifi_interface_access_point_removed_cb (NetworkWifiInterface* self,
                                                GObject* ap_)
{
	NMAccessPoint* ap = NULL;
	NMAccessPoint* _tmp0_;
	NetworkWifiMenuItem* found_item = NULL;
	GtkWidget* child = NULL;
	GtkListBox* _tmp1_;
	GtkWidget* _tmp2_;
	NetworkWifiMenuItem* _tmp19_;
#line 249 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 249 "../src/Views/WifiPage.vala"
	g_return_if_fail (ap_ != NULL);
#line 250 "../src/Views/WifiPage.vala"
	_tmp0_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (ap_, nm_access_point_get_type (), NMAccessPoint));
#line 250 "../src/Views/WifiPage.vala"
	ap = _tmp0_;
#line 252 "../src/Views/WifiPage.vala"
	found_item = NULL;
#line 253 "../src/Views/WifiPage.vala"
	_tmp1_ = self->priv->wifi_list;
#line 253 "../src/Views/WifiPage.vala"
	_tmp2_ = gtk_widget_get_first_child ((GtkWidget*) _tmp1_);
#line 253 "../src/Views/WifiPage.vala"
	child = _tmp2_;
#line 254 "../src/Views/WifiPage.vala"
	while (TRUE) {
#line 758 "WifiPage.c"
		gboolean _tmp3_ = FALSE;
		GtkWidget* _tmp4_;
		GtkWidget* _tmp6_;
		GtkWidget* _tmp17_;
		GtkWidget* _tmp18_;
#line 254 "../src/Views/WifiPage.vala"
		_tmp4_ = child;
#line 254 "../src/Views/WifiPage.vala"
		if (_tmp4_ != NULL) {
#line 768 "WifiPage.c"
			NetworkWifiMenuItem* _tmp5_;
#line 254 "../src/Views/WifiPage.vala"
			_tmp5_ = found_item;
#line 254 "../src/Views/WifiPage.vala"
			_tmp3_ = _tmp5_ == NULL;
#line 774 "WifiPage.c"
		} else {
#line 254 "../src/Views/WifiPage.vala"
			_tmp3_ = FALSE;
#line 778 "WifiPage.c"
		}
#line 254 "../src/Views/WifiPage.vala"
		if (!_tmp3_) {
#line 254 "../src/Views/WifiPage.vala"
			break;
#line 784 "WifiPage.c"
		}
#line 255 "../src/Views/WifiPage.vala"
		_tmp6_ = child;
#line 255 "../src/Views/WifiPage.vala"
		if (NETWORK_IS_WIFI_MENU_ITEM (_tmp6_)) {
#line 790 "WifiPage.c"
			NetworkWifiMenuItem* menu_item = NULL;
			GtkWidget* _tmp7_;
			NetworkWifiMenuItem* _tmp8_;
			NMAccessPoint* _tmp9_;
			GBytes* _tmp10_;
			GBytes* _tmp11_;
			NetworkWifiMenuItem* _tmp12_;
			GBytes* _tmp13_;
			GBytes* _tmp14_;
#line 256 "../src/Views/WifiPage.vala"
			_tmp7_ = child;
#line 256 "../src/Views/WifiPage.vala"
			_tmp8_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 256 "../src/Views/WifiPage.vala"
			menu_item = _tmp8_;
#line 258 "../src/Views/WifiPage.vala"
			_tmp9_ = ap;
#line 258 "../src/Views/WifiPage.vala"
			_tmp10_ = nm_access_point_get_ssid (_tmp9_);
#line 258 "../src/Views/WifiPage.vala"
			_tmp11_ = _tmp10_;
#line 258 "../src/Views/WifiPage.vala"
			_tmp12_ = menu_item;
#line 258 "../src/Views/WifiPage.vala"
			_tmp13_ = network_wifi_menu_item_get_ssid (_tmp12_);
#line 258 "../src/Views/WifiPage.vala"
			_tmp14_ = _tmp13_;
#line 258 "../src/Views/WifiPage.vala"
			if (g_bytes_compare (_tmp11_, _tmp14_) == 0) {
#line 820 "WifiPage.c"
				NetworkWifiMenuItem* _tmp15_;
				NetworkWifiMenuItem* _tmp16_;
#line 259 "../src/Views/WifiPage.vala"
				_tmp15_ = menu_item;
#line 259 "../src/Views/WifiPage.vala"
				_tmp16_ = _g_object_ref0 (_tmp15_);
#line 259 "../src/Views/WifiPage.vala"
				_g_object_unref0 (found_item);
#line 259 "../src/Views/WifiPage.vala"
				found_item = _tmp16_;
#line 831 "WifiPage.c"
			}
#line 255 "../src/Views/WifiPage.vala"
			_g_object_unref0 (menu_item);
#line 835 "WifiPage.c"
		}
#line 263 "../src/Views/WifiPage.vala"
		_tmp17_ = child;
#line 263 "../src/Views/WifiPage.vala"
		_tmp18_ = gtk_widget_get_next_sibling (_tmp17_);
#line 263 "../src/Views/WifiPage.vala"
		child = _tmp18_;
#line 843 "WifiPage.c"
	}
#line 266 "../src/Views/WifiPage.vala"
	_tmp19_ = found_item;
#line 266 "../src/Views/WifiPage.vala"
	if (_tmp19_ == NULL) {
#line 267 "../src/Views/WifiPage.vala"
		g_critical ("WifiPage.vala:267: Couldn't remove an access point which has not been " \
"added.");
#line 851 "WifiPage.c"
	} else {
		NetworkWifiMenuItem* _tmp20_;
		NMAccessPoint* _tmp21_;
#line 269 "../src/Views/WifiPage.vala"
		_tmp20_ = found_item;
#line 269 "../src/Views/WifiPage.vala"
		_tmp21_ = ap;
#line 269 "../src/Views/WifiPage.vala"
		if (!network_wifi_menu_item_remove_ap (_tmp20_, _tmp21_)) {
#line 861 "WifiPage.c"
			NetworkWifiMenuItem* _tmp22_;
#line 270 "../src/Views/WifiPage.vala"
			_tmp22_ = found_item;
#line 270 "../src/Views/WifiPage.vala"
			g_signal_emit_by_name ((GtkWidget*) _tmp22_, "destroy");
#line 867 "WifiPage.c"
		}
	}
#line 274 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 249 "../src/Views/WifiPage.vala"
	_g_object_unref0 (found_item);
#line 249 "../src/Views/WifiPage.vala"
	_g_object_unref0 (ap);
#line 876 "WifiPage.c"
}

static gpointer
_rf_kill_device_ref0 (gpointer self)
{
#line 329 "../src/Views/WifiPage.vala"
	return self ? rf_kill_device_ref (self) : NULL;
#line 884 "WifiPage.c"
}

static void
_rf_kill_device_unref0_ (gpointer var)
{
#line 329 "../src/Views/WifiPage.vala"
	(var == NULL) ? NULL : (var = (rf_kill_device_unref (var), NULL));
#line 892 "WifiPage.c"
}

static inline void
_g_list_free__rf_kill_device_unref0_ (GList* self)
{
#line 329 "../src/Views/WifiPage.vala"
	g_list_free_full (self, (GDestroyNotify) _rf_kill_device_unref0_);
#line 900 "WifiPage.c"
}

static void
____lambda25_ (NetworkWifiInterface* self)
{
	GError* _inner_error0_ = NULL;
	{
		NMDevice* _tmp0_;
		NMDevice* _tmp1_;
#line 387 "../src/Views/WifiPage.vala"
		_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 387 "../src/Views/WifiPage.vala"
		_tmp1_ = _tmp0_;
#line 387 "../src/Views/WifiPage.vala"
		nm_device_disconnect (_tmp1_, NULL, &_inner_error0_);
#line 387 "../src/Views/WifiPage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 918 "WifiPage.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp2_;
		const gchar* _tmp3_;
#line 386 "../src/Views/WifiPage.vala"
		e = _inner_error0_;
#line 386 "../src/Views/WifiPage.vala"
		_inner_error0_ = NULL;
#line 389 "../src/Views/WifiPage.vala"
		_tmp2_ = e;
#line 389 "../src/Views/WifiPage.vala"
		_tmp3_ = _tmp2_->message;
#line 389 "../src/Views/WifiPage.vala"
		g_warning ("WifiPage.vala:389: %s", _tmp3_);
#line 386 "../src/Views/WifiPage.vala"
		_g_error_free0 (e);
#line 940 "WifiPage.c"
	}
	__finally0:
#line 386 "../src/Views/WifiPage.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 386 "../src/Views/WifiPage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 386 "../src/Views/WifiPage.vala"
		g_clear_error (&_inner_error0_);
#line 386 "../src/Views/WifiPage.vala"
		return;
#line 951 "WifiPage.c"
	}
}

static void
_____lambda25__gtk_button_clicked (GtkButton* _sender,
                                   gpointer self)
{
#line 385 "../src/Views/WifiPage.vala"
	____lambda25_ ((NetworkWifiInterface*) self);
#line 961 "WifiPage.c"
}

static void
_network_widgets_page_open_advanced_settings_gtk_button_clicked (GtkButton* _sender,
                                                                 gpointer self)
{
#line 396 "../src/Views/WifiPage.vala"
	network_widgets_page_open_advanced_settings ((NetworkWidgetsPage*) self);
#line 970 "WifiPage.c"
}

static void
network_wifi_interface_real_update (NetworkWidgetsPage* base)
{
	NetworkWifiInterface * self;
	gboolean sensitive = FALSE;
	NMDevice* _tmp0_;
	NMDevice* _tmp1_;
	GtkButton* _tmp2_;
	GtkButton* _tmp4_;
	GtkMenuButton* _tmp6_;
	GtkButton* _tmp8_;
	NetworkWifiMenuItem* old_active = NULL;
	NetworkWifiMenuItem* _tmp12_;
	NetworkWifiMenuItem* _tmp13_;
	NMDeviceWifi* _tmp14_;
	NMDeviceWifi* _tmp15_;
	NMDeviceState _tmp16_;
	NMDeviceState _tmp17_;
	NMDeviceWifi* _tmp23_;
	NMDeviceState _tmp24_;
	NMDeviceState _tmp25_;
	NMDeviceState _tmp26_;
	NMDeviceState _tmp27_;
	GEnumValue* _tmp28_;
	RFKillManager* _tmp29_;
	GList* _tmp30_;
	gboolean _tmp41_ = FALSE;
	gboolean is_hotspot = FALSE;
	NMDeviceWifi* _tmp42_;
	NMAccessPoint* active_access_point = NULL;
	NMDeviceWifi* _tmp43_;
	NMAccessPoint* _tmp44_;
	NMAccessPoint* _tmp45_;
	gboolean _tmp46_ = FALSE;
	NMAccessPoint* _tmp47_;
	GtkRevealer* _tmp48_;
	gboolean _tmp53_ = FALSE;
	NMAccessPoint* _tmp54_;
#line 277 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 278 "../src/Views/WifiPage.vala"
	_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 278 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 278 "../src/Views/WifiPage.vala"
	sensitive = nm_device_get_state (_tmp1_) == NM_DEVICE_STATE_ACTIVATED;
#line 279 "../src/Views/WifiPage.vala"
	_tmp2_ = self->disconnect_btn;
#line 279 "../src/Views/WifiPage.vala"
	if (_tmp2_ != NULL) {
#line 1023 "WifiPage.c"
		GtkButton* _tmp3_;
#line 280 "../src/Views/WifiPage.vala"
		_tmp3_ = self->disconnect_btn;
#line 280 "../src/Views/WifiPage.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, sensitive);
#line 1029 "WifiPage.c"
	}
#line 283 "../src/Views/WifiPage.vala"
	_tmp4_ = self->settings_btn;
#line 283 "../src/Views/WifiPage.vala"
	if (_tmp4_ != NULL) {
#line 1035 "WifiPage.c"
		GtkButton* _tmp5_;
#line 284 "../src/Views/WifiPage.vala"
		_tmp5_ = self->settings_btn;
#line 284 "../src/Views/WifiPage.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp5_, sensitive);
#line 1041 "WifiPage.c"
	}
#line 287 "../src/Views/WifiPage.vala"
	_tmp6_ = self->info_btn;
#line 287 "../src/Views/WifiPage.vala"
	if (_tmp6_ != NULL) {
#line 1047 "WifiPage.c"
		GtkMenuButton* _tmp7_;
#line 288 "../src/Views/WifiPage.vala"
		_tmp7_ = self->info_btn;
#line 288 "../src/Views/WifiPage.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp7_, sensitive);
#line 1053 "WifiPage.c"
	}
#line 291 "../src/Views/WifiPage.vala"
	_tmp8_ = self->hidden_btn;
#line 291 "../src/Views/WifiPage.vala"
	if (_tmp8_ != NULL) {
#line 1059 "WifiPage.c"
		GtkButton* _tmp9_;
		NMDeviceState _tmp10_;
		NMDeviceState _tmp11_;
#line 292 "../src/Views/WifiPage.vala"
		_tmp9_ = self->hidden_btn;
#line 292 "../src/Views/WifiPage.vala"
		_tmp10_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 292 "../src/Views/WifiPage.vala"
		_tmp11_ = _tmp10_;
#line 292 "../src/Views/WifiPage.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp9_, _tmp11_ != NM_DEVICE_STATE_UNAVAILABLE);
#line 1071 "WifiPage.c"
	}
#line 295 "../src/Views/WifiPage.vala"
	_tmp12_ = self->priv->_active_wifi_item;
#line 295 "../src/Views/WifiPage.vala"
	_tmp13_ = _g_object_ref0 (_tmp12_);
#line 295 "../src/Views/WifiPage.vala"
	old_active = _tmp13_;
#line 297 "../src/Views/WifiPage.vala"
	_tmp14_ = self->wifi_device;
#line 297 "../src/Views/WifiPage.vala"
	if (network_utils_get_device_is_hotspot (_tmp14_)) {
#line 298 "../src/Views/WifiPage.vala"
		network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_DISCONNECTED);
#line 299 "../src/Views/WifiPage.vala"
		_g_object_unref0 (old_active);
#line 299 "../src/Views/WifiPage.vala"
		return;
#line 1089 "WifiPage.c"
	}
#line 302 "../src/Views/WifiPage.vala"
	_tmp15_ = self->wifi_device;
#line 302 "../src/Views/WifiPage.vala"
	_tmp16_ = nm_device_get_state ((NMDevice*) _tmp15_);
#line 302 "../src/Views/WifiPage.vala"
	_tmp17_ = _tmp16_;
#line 302 "../src/Views/WifiPage.vala"
	switch (_tmp17_) {
#line 302 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_UNKNOWN:
#line 302 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_UNMANAGED:
#line 302 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_FAILED:
#line 1105 "WifiPage.c"
		{
			NetworkWifiMenuItem* _tmp18_;
#line 306 "../src/Views/WifiPage.vala"
			_tmp18_ = self->priv->_active_wifi_item;
#line 306 "../src/Views/WifiPage.vala"
			if (_tmp18_ != NULL) {
#line 1112 "WifiPage.c"
				NetworkWifiMenuItem* _tmp19_;
				NMDeviceState _tmp20_;
				NMDeviceState _tmp21_;
#line 307 "../src/Views/WifiPage.vala"
				_tmp19_ = self->priv->_active_wifi_item;
#line 307 "../src/Views/WifiPage.vala"
				_tmp20_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 307 "../src/Views/WifiPage.vala"
				_tmp21_ = _tmp20_;
#line 307 "../src/Views/WifiPage.vala"
				network_wifi_menu_item_set_state (_tmp19_, _tmp21_);
#line 1124 "WifiPage.c"
			}
#line 309 "../src/Views/WifiPage.vala"
			network_wifi_interface_cancel_scan (self);
#line 310 "../src/Views/WifiPage.vala"
			break;
#line 1130 "WifiPage.c"
		}
#line 302 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_DEACTIVATING:
#line 302 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_UNAVAILABLE:
#line 1136 "WifiPage.c"
		{
			GtkStack* _tmp22_;
#line 314 "../src/Views/WifiPage.vala"
			network_wifi_interface_cancel_scan (self);
#line 315 "../src/Views/WifiPage.vala"
			_tmp22_ = self->priv->placeholder;
#line 315 "../src/Views/WifiPage.vala"
			gtk_stack_set_visible_child_name (_tmp22_, "wireless-off");
#line 316 "../src/Views/WifiPage.vala"
			break;
#line 1147 "WifiPage.c"
		}
		default:
		{
#line 318 "../src/Views/WifiPage.vala"
			network_wifi_interface_set_scan_placeholder (self);
#line 319 "../src/Views/WifiPage.vala"
			break;
#line 1155 "WifiPage.c"
		}
	}
#line 322 "../src/Views/WifiPage.vala"
	_tmp23_ = self->wifi_device;
#line 322 "../src/Views/WifiPage.vala"
	_tmp24_ = nm_device_get_state ((NMDevice*) _tmp23_);
#line 322 "../src/Views/WifiPage.vala"
	_tmp25_ = _tmp24_;
#line 322 "../src/Views/WifiPage.vala"
	network_widgets_page_set_state ((NetworkWidgetsPage*) self, _tmp25_);
#line 324 "../src/Views/WifiPage.vala"
	_tmp26_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 324 "../src/Views/WifiPage.vala"
	_tmp27_ = _tmp26_;
#line 324 "../src/Views/WifiPage.vala"
	_tmp28_ = g_enum_get_value (g_type_class_ref (nm_device_state_get_type ()), _tmp27_);
#line 324 "../src/Views/WifiPage.vala"
	g_debug ("WifiPage.vala:324: New network state: %s", (_tmp28_ != NULL) ? _tmp28_->value_name : NULL);
#line 327 "../src/Views/WifiPage.vala"
	self->priv->software_locked = FALSE;
#line 328 "../src/Views/WifiPage.vala"
	self->priv->hardware_locked = FALSE;
#line 329 "../src/Views/WifiPage.vala"
	_tmp29_ = self->priv->rfkill;
#line 329 "../src/Views/WifiPage.vala"
	_tmp30_ = rf_kill_manager_get_devices (_tmp29_);
#line 1182 "WifiPage.c"
	{
		GList* device_collection = NULL;
		GList* device_it = NULL;
#line 329 "../src/Views/WifiPage.vala"
		device_collection = _tmp30_;
#line 329 "../src/Views/WifiPage.vala"
		for (device_it = device_collection; device_it != NULL; device_it = device_it->next) {
#line 1190 "WifiPage.c"
			RFKillDevice* _tmp31_;
			RFKillDevice* device = NULL;
#line 329 "../src/Views/WifiPage.vala"
			_tmp31_ = _rf_kill_device_ref0 ((RFKillDevice*) device_it->data);
#line 329 "../src/Views/WifiPage.vala"
			device = _tmp31_;
#line 1197 "WifiPage.c"
			{
				RFKillDevice* _tmp32_;
				RFKillDeviceType _tmp33_;
				RFKillDeviceType _tmp34_;
				RFKillDevice* _tmp35_;
				gboolean _tmp36_;
				gboolean _tmp37_;
				RFKillDevice* _tmp38_;
				gboolean _tmp39_;
				gboolean _tmp40_;
#line 330 "../src/Views/WifiPage.vala"
				_tmp32_ = device;
#line 330 "../src/Views/WifiPage.vala"
				_tmp33_ = rf_kill_device_get_device_type (_tmp32_);
#line 330 "../src/Views/WifiPage.vala"
				_tmp34_ = _tmp33_;
#line 330 "../src/Views/WifiPage.vala"
				if (_tmp34_ != RF_KILL_DEVICE_TYPE_WLAN) {
#line 331 "../src/Views/WifiPage.vala"
					_rf_kill_device_unref0 (device);
#line 331 "../src/Views/WifiPage.vala"
					continue;
#line 1220 "WifiPage.c"
				}
#line 333 "../src/Views/WifiPage.vala"
				_tmp35_ = device;
#line 333 "../src/Views/WifiPage.vala"
				_tmp36_ = rf_kill_device_get_software_lock (_tmp35_);
#line 333 "../src/Views/WifiPage.vala"
				_tmp37_ = _tmp36_;
#line 333 "../src/Views/WifiPage.vala"
				if (_tmp37_) {
#line 334 "../src/Views/WifiPage.vala"
					self->priv->software_locked = TRUE;
#line 1232 "WifiPage.c"
				}
#line 335 "../src/Views/WifiPage.vala"
				_tmp38_ = device;
#line 335 "../src/Views/WifiPage.vala"
				_tmp39_ = rf_kill_device_get_hardware_lock (_tmp38_);
#line 335 "../src/Views/WifiPage.vala"
				_tmp40_ = _tmp39_;
#line 335 "../src/Views/WifiPage.vala"
				if (_tmp40_) {
#line 336 "../src/Views/WifiPage.vala"
					self->priv->hardware_locked = TRUE;
#line 1244 "WifiPage.c"
				}
#line 329 "../src/Views/WifiPage.vala"
				_rf_kill_device_unref0 (device);
#line 1248 "WifiPage.c"
			}
		}
#line 329 "../src/Views/WifiPage.vala"
		(device_collection == NULL) ? NULL : (device_collection = (_g_list_free__rf_kill_device_unref0_ (device_collection), NULL));
#line 1253 "WifiPage.c"
	}
#line 339 "../src/Views/WifiPage.vala"
	if (self->priv->hardware_locked) {
#line 339 "../src/Views/WifiPage.vala"
		_tmp41_ = TRUE;
#line 1259 "WifiPage.c"
	} else {
#line 339 "../src/Views/WifiPage.vala"
		_tmp41_ = self->priv->software_locked;
#line 1263 "WifiPage.c"
	}
#line 339 "../src/Views/WifiPage.vala"
	self->priv->locked = _tmp41_;
#line 341 "../src/Views/WifiPage.vala"
	network_wifi_interface_update_active_ap (self);
#line 343 "../src/Views/WifiPage.vala"
	NETWORK_WIDGETS_PAGE_CLASS (network_wifi_interface_parent_class)->update (G_TYPE_CHECK_INSTANCE_CAST (self, NETWORK_WIDGETS_TYPE_PAGE, NetworkWidgetsPage));
#line 345 "../src/Views/WifiPage.vala"
	_tmp42_ = self->wifi_device;
#line 345 "../src/Views/WifiPage.vala"
	is_hotspot = network_utils_get_device_is_hotspot (_tmp42_);
#line 347 "../src/Views/WifiPage.vala"
	_tmp43_ = self->wifi_device;
#line 347 "../src/Views/WifiPage.vala"
	_tmp44_ = nm_device_wifi_get_active_access_point (_tmp43_);
#line 347 "../src/Views/WifiPage.vala"
	_tmp45_ = _tmp44_;
#line 347 "../src/Views/WifiPage.vala"
	active_access_point = _tmp45_;
#line 348 "../src/Views/WifiPage.vala"
	_tmp47_ = active_access_point;
#line 348 "../src/Views/WifiPage.vala"
	if (_tmp47_ != NULL) {
#line 348 "../src/Views/WifiPage.vala"
		_tmp46_ = !is_hotspot;
#line 1289 "WifiPage.c"
	} else {
#line 348 "../src/Views/WifiPage.vala"
		_tmp46_ = FALSE;
#line 1293 "WifiPage.c"
	}
#line 348 "../src/Views/WifiPage.vala"
	_tmp48_ = self->top_revealer;
#line 348 "../src/Views/WifiPage.vala"
	gtk_revealer_set_reveal_child (_tmp48_, _tmp46_);
#line 350 "../src/Views/WifiPage.vala"
	if (is_hotspot) {
#line 1301 "WifiPage.c"
		GtkStack* _tmp49_;
		GtkBox* _tmp50_;
#line 351 "../src/Views/WifiPage.vala"
		_tmp49_ = self->list_stack;
#line 351 "../src/Views/WifiPage.vala"
		_tmp50_ = self->hotspot_mode_alert;
#line 351 "../src/Views/WifiPage.vala"
		gtk_stack_set_visible_child (_tmp49_, (GtkWidget*) _tmp50_);
#line 1310 "WifiPage.c"
	} else {
		GtkStack* _tmp51_;
		GtkScrolledWindow* _tmp52_;
#line 353 "../src/Views/WifiPage.vala"
		_tmp51_ = self->list_stack;
#line 353 "../src/Views/WifiPage.vala"
		_tmp52_ = self->scrolled;
#line 353 "../src/Views/WifiPage.vala"
		gtk_stack_set_visible_child (_tmp51_, (GtkWidget*) _tmp52_);
#line 1320 "WifiPage.c"
	}
#line 356 "../src/Views/WifiPage.vala"
	_tmp54_ = active_access_point;
#line 356 "../src/Views/WifiPage.vala"
	if (_tmp54_ == NULL) {
#line 1326 "WifiPage.c"
		NetworkWifiMenuItem* _tmp55_;
#line 356 "../src/Views/WifiPage.vala"
		_tmp55_ = old_active;
#line 356 "../src/Views/WifiPage.vala"
		_tmp53_ = _tmp55_ != NULL;
#line 1332 "WifiPage.c"
	} else {
#line 356 "../src/Views/WifiPage.vala"
		_tmp53_ = FALSE;
#line 1336 "WifiPage.c"
	}
#line 356 "../src/Views/WifiPage.vala"
	if (_tmp53_) {
#line 1340 "WifiPage.c"
		NetworkWifiMenuItem* _tmp56_;
		gboolean _tmp57_ = FALSE;
		GtkFrame* _tmp58_;
		GtkButton* _tmp63_;
		GtkButton* _tmp64_;
#line 357 "../src/Views/WifiPage.vala"
		_tmp56_ = old_active;
#line 357 "../src/Views/WifiPage.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp56_, TRUE);
#line 359 "../src/Views/WifiPage.vala"
		_tmp58_ = self->connected_frame;
#line 359 "../src/Views/WifiPage.vala"
		if (_tmp58_ != NULL) {
#line 1354 "WifiPage.c"
			GtkFrame* _tmp59_;
			GtkWidget* _tmp60_;
#line 359 "../src/Views/WifiPage.vala"
			_tmp59_ = self->connected_frame;
#line 359 "../src/Views/WifiPage.vala"
			_tmp60_ = gtk_frame_get_child (_tmp59_);
#line 359 "../src/Views/WifiPage.vala"
			_tmp57_ = _tmp60_ != NULL;
#line 1363 "WifiPage.c"
		} else {
#line 359 "../src/Views/WifiPage.vala"
			_tmp57_ = FALSE;
#line 1367 "WifiPage.c"
		}
#line 359 "../src/Views/WifiPage.vala"
		if (_tmp57_) {
#line 1371 "WifiPage.c"
			GtkFrame* _tmp61_;
			GtkWidget* _tmp62_;
#line 360 "../src/Views/WifiPage.vala"
			_tmp61_ = self->connected_frame;
#line 360 "../src/Views/WifiPage.vala"
			_tmp62_ = gtk_frame_get_child (_tmp61_);
#line 360 "../src/Views/WifiPage.vala"
			g_signal_emit_by_name (_tmp62_, "destroy");
#line 1380 "WifiPage.c"
		}
#line 363 "../src/Views/WifiPage.vala"
		_g_object_unref0 (self->settings_btn);
#line 363 "../src/Views/WifiPage.vala"
		self->settings_btn = NULL;
#line 363 "../src/Views/WifiPage.vala"
		_tmp63_ = self->settings_btn;
#line 363 "../src/Views/WifiPage.vala"
		_tmp64_ = _g_object_ref0 (_tmp63_);
#line 363 "../src/Views/WifiPage.vala"
		_g_object_unref0 (self->disconnect_btn);
#line 363 "../src/Views/WifiPage.vala"
		self->disconnect_btn = _tmp64_;
#line 1394 "WifiPage.c"
	} else {
		gboolean _tmp65_ = FALSE;
		NMAccessPoint* _tmp66_;
#line 364 "../src/Views/WifiPage.vala"
		_tmp66_ = active_access_point;
#line 364 "../src/Views/WifiPage.vala"
		if (_tmp66_ != NULL) {
#line 1402 "WifiPage.c"
			NetworkWifiMenuItem* _tmp67_;
			NetworkWifiMenuItem* _tmp68_;
#line 364 "../src/Views/WifiPage.vala"
			_tmp67_ = self->priv->_active_wifi_item;
#line 364 "../src/Views/WifiPage.vala"
			_tmp68_ = old_active;
#line 364 "../src/Views/WifiPage.vala"
			_tmp65_ = _tmp67_ != _tmp68_;
#line 1411 "WifiPage.c"
		} else {
#line 364 "../src/Views/WifiPage.vala"
			_tmp65_ = FALSE;
#line 1415 "WifiPage.c"
		}
#line 364 "../src/Views/WifiPage.vala"
		if (_tmp65_) {
#line 1419 "WifiPage.c"
			NetworkWifiMenuItem* _tmp69_;
			NetworkWifiMenuItem* _tmp77_;
			NetworkWifiMenuItem* top_item = NULL;
			NMAccessPoint* _tmp78_;
			NetworkWifiMenuItem* _tmp79_ = NULL;
			NMDevice* _tmp80_;
			NMDevice* _tmp81_;
			GtkButton* _tmp82_ = NULL;
			GtkButton* _tmp83_;
			GtkButton* _tmp84_;
			NMDevice* _tmp85_;
			NMDevice* _tmp86_;
			GtkButton* _tmp87_ = NULL;
			GtkButton* _tmp88_;
			gchar* _tmp89_;
			GtkPopover* _tmp90_;
			GtkPopover* _tmp91_;
			gchar* _tmp92_;
			GtkMenuButton* _tmp93_ = NULL;
			GtkMenuButton* _tmp94_;
			GtkBox* button_box = NULL;
			GtkBox* _tmp95_ = NULL;
			GtkBox* _tmp96_;
			GtkButton* _tmp97_;
			GtkBox* _tmp98_;
			GtkButton* _tmp99_;
			GtkBox* connected_box = NULL;
			GtkBox* _tmp100_;
			GtkBox* _tmp101_;
			NetworkWifiMenuItem* _tmp102_;
			GtkBox* _tmp103_;
			GtkMenuButton* _tmp104_;
			GtkBox* _tmp105_;
			GtkBox* _tmp106_;
			GtkListBox* connected_listbox = NULL;
			GtkListBox* _tmp107_ = NULL;
			GtkListBox* _tmp108_;
			GtkListBox* _tmp109_;
			GtkBox* _tmp110_;
			GtkListBox* _tmp111_;
			GtkWidget* _tmp112_;
			GtkFrame* _tmp113_;
			GtkListBox* _tmp114_;
#line 366 "../src/Views/WifiPage.vala"
			_tmp69_ = old_active;
#line 366 "../src/Views/WifiPage.vala"
			if (_tmp69_ != NULL) {
#line 1467 "WifiPage.c"
				NetworkWifiMenuItem* _tmp70_;
				gboolean _tmp71_ = FALSE;
				GtkFrame* _tmp72_;
#line 367 "../src/Views/WifiPage.vala"
				_tmp70_ = old_active;
#line 367 "../src/Views/WifiPage.vala"
				gtk_widget_set_visible ((GtkWidget*) _tmp70_, TRUE);
#line 369 "../src/Views/WifiPage.vala"
				_tmp72_ = self->connected_frame;
#line 369 "../src/Views/WifiPage.vala"
				if (_tmp72_ != NULL) {
#line 1479 "WifiPage.c"
					GtkFrame* _tmp73_;
					GtkWidget* _tmp74_;
#line 369 "../src/Views/WifiPage.vala"
					_tmp73_ = self->connected_frame;
#line 369 "../src/Views/WifiPage.vala"
					_tmp74_ = gtk_frame_get_child (_tmp73_);
#line 369 "../src/Views/WifiPage.vala"
					_tmp71_ = _tmp74_ != NULL;
#line 1488 "WifiPage.c"
				} else {
#line 369 "../src/Views/WifiPage.vala"
					_tmp71_ = FALSE;
#line 1492 "WifiPage.c"
				}
#line 369 "../src/Views/WifiPage.vala"
				if (_tmp71_) {
#line 1496 "WifiPage.c"
					GtkFrame* _tmp75_;
					GtkWidget* _tmp76_;
#line 370 "../src/Views/WifiPage.vala"
					_tmp75_ = self->connected_frame;
#line 370 "../src/Views/WifiPage.vala"
					_tmp76_ = gtk_frame_get_child (_tmp75_);
#line 370 "../src/Views/WifiPage.vala"
					g_signal_emit_by_name (_tmp76_, "destroy");
#line 1505 "WifiPage.c"
				}
			}
#line 374 "../src/Views/WifiPage.vala"
			_tmp77_ = self->priv->_active_wifi_item;
#line 374 "../src/Views/WifiPage.vala"
			gtk_widget_set_visible ((GtkWidget*) _tmp77_, FALSE);
#line 376 "../src/Views/WifiPage.vala"
			_tmp78_ = active_access_point;
#line 376 "../src/Views/WifiPage.vala"
			_tmp79_ = network_wifi_menu_item_new (_tmp78_);
#line 376 "../src/Views/WifiPage.vala"
			gtk_widget_set_hexpand ((GtkWidget*) _tmp79_, TRUE);
#line 376 "../src/Views/WifiPage.vala"
			network_wifi_menu_item_set_state (_tmp79_, NM_DEVICE_STATE_ACTIVATED);
#line 376 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp79_);
#line 376 "../src/Views/WifiPage.vala"
			top_item = _tmp79_;
#line 381 "../src/Views/WifiPage.vala"
			_tmp80_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 381 "../src/Views/WifiPage.vala"
			_tmp81_ = _tmp80_;
#line 381 "../src/Views/WifiPage.vala"
			_tmp82_ = (GtkButton*) gtk_button_new_with_label (_ ("Disconnect"));
#line 381 "../src/Views/WifiPage.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp82_, nm_device_get_state (_tmp81_) == NM_DEVICE_STATE_ACTIVATED);
#line 381 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp82_);
#line 381 "../src/Views/WifiPage.vala"
			_g_object_unref0 (self->disconnect_btn);
#line 381 "../src/Views/WifiPage.vala"
			self->disconnect_btn = _tmp82_;
#line 384 "../src/Views/WifiPage.vala"
			_tmp83_ = self->disconnect_btn;
#line 384 "../src/Views/WifiPage.vala"
			gtk_widget_add_css_class ((GtkWidget*) _tmp83_, GRANITE_STYLE_CLASS_DESTRUCTIVE_ACTION);
#line 385 "../src/Views/WifiPage.vala"
			_tmp84_ = self->disconnect_btn;
#line 385 "../src/Views/WifiPage.vala"
			g_signal_connect_object (_tmp84_, "clicked", (GCallback) _____lambda25__gtk_button_clicked, self, 0);
#line 393 "../src/Views/WifiPage.vala"
			_tmp85_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 393 "../src/Views/WifiPage.vala"
			_tmp86_ = _tmp85_;
#line 393 "../src/Views/WifiPage.vala"
			_tmp87_ = (GtkButton*) gtk_button_new_with_label (_ ("Settings…"));
#line 393 "../src/Views/WifiPage.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp87_, nm_device_get_state (_tmp86_) == NM_DEVICE_STATE_ACTIVATED);
#line 393 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp87_);
#line 393 "../src/Views/WifiPage.vala"
			_g_object_unref0 (self->settings_btn);
#line 393 "../src/Views/WifiPage.vala"
			self->settings_btn = _tmp87_;
#line 396 "../src/Views/WifiPage.vala"
			_tmp88_ = self->settings_btn;
#line 396 "../src/Views/WifiPage.vala"
			g_signal_connect_object (_tmp88_, "clicked", (GCallback) _network_widgets_page_open_advanced_settings_gtk_button_clicked, (NetworkWidgetsPage*) self, 0);
#line 398 "../src/Views/WifiPage.vala"
			_tmp89_ = g_strdup ("view-more-symbolic");
#line 398 "../src/Views/WifiPage.vala"
			_tmp90_ = self->popover;
#line 398 "../src/Views/WifiPage.vala"
			_tmp91_ = _g_object_ref0 (_tmp90_);
#line 398 "../src/Views/WifiPage.vala"
			_tmp92_ = g_strdup (_ ("Connection info"));
#line 398 "../src/Views/WifiPage.vala"
			_tmp93_ = (GtkMenuButton*) gtk_menu_button_new ();
#line 398 "../src/Views/WifiPage.vala"
			gtk_menu_button_set_icon_name (_tmp93_, _tmp89_);
#line 398 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp89_);
#line 398 "../src/Views/WifiPage.vala"
			gtk_menu_button_set_popover (_tmp93_, _tmp91_);
#line 398 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_tmp91_);
#line 398 "../src/Views/WifiPage.vala"
			gtk_widget_set_valign ((GtkWidget*) _tmp93_, GTK_ALIGN_CENTER);
#line 398 "../src/Views/WifiPage.vala"
			gtk_widget_set_tooltip_text ((GtkWidget*) _tmp93_, _tmp92_);
#line 398 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp92_);
#line 398 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp93_);
#line 398 "../src/Views/WifiPage.vala"
			_g_object_unref0 (self->info_btn);
#line 398 "../src/Views/WifiPage.vala"
			self->info_btn = _tmp93_;
#line 404 "../src/Views/WifiPage.vala"
			_tmp94_ = self->info_btn;
#line 404 "../src/Views/WifiPage.vala"
			gtk_widget_add_css_class ((GtkWidget*) _tmp94_, GRANITE_STYLE_CLASS_FLAT);
#line 406 "../src/Views/WifiPage.vala"
			_tmp95_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
#line 406 "../src/Views/WifiPage.vala"
			gtk_box_set_homogeneous (_tmp95_, TRUE);
#line 406 "../src/Views/WifiPage.vala"
			gtk_widget_set_valign ((GtkWidget*) _tmp95_, GTK_ALIGN_CENTER);
#line 406 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp95_);
#line 406 "../src/Views/WifiPage.vala"
			button_box = _tmp95_;
#line 410 "../src/Views/WifiPage.vala"
			_tmp96_ = button_box;
#line 410 "../src/Views/WifiPage.vala"
			_tmp97_ = self->settings_btn;
#line 410 "../src/Views/WifiPage.vala"
			gtk_box_append (_tmp96_, (GtkWidget*) _tmp97_);
#line 411 "../src/Views/WifiPage.vala"
			_tmp98_ = button_box;
#line 411 "../src/Views/WifiPage.vala"
			_tmp99_ = self->disconnect_btn;
#line 411 "../src/Views/WifiPage.vala"
			gtk_box_append (_tmp98_, (GtkWidget*) _tmp99_);
#line 413 "../src/Views/WifiPage.vala"
			_tmp100_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 12);
#line 413 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp100_);
#line 413 "../src/Views/WifiPage.vala"
			connected_box = _tmp100_;
#line 414 "../src/Views/WifiPage.vala"
			_tmp101_ = connected_box;
#line 414 "../src/Views/WifiPage.vala"
			_tmp102_ = top_item;
#line 414 "../src/Views/WifiPage.vala"
			gtk_box_append (_tmp101_, (GtkWidget*) _tmp102_);
#line 415 "../src/Views/WifiPage.vala"
			_tmp103_ = connected_box;
#line 415 "../src/Views/WifiPage.vala"
			_tmp104_ = self->info_btn;
#line 415 "../src/Views/WifiPage.vala"
			gtk_box_append (_tmp103_, (GtkWidget*) _tmp104_);
#line 416 "../src/Views/WifiPage.vala"
			_tmp105_ = connected_box;
#line 416 "../src/Views/WifiPage.vala"
			_tmp106_ = button_box;
#line 416 "../src/Views/WifiPage.vala"
			gtk_box_append (_tmp105_, (GtkWidget*) _tmp106_);
#line 419 "../src/Views/WifiPage.vala"
			_tmp107_ = (GtkListBox*) gtk_list_box_new ();
#line 419 "../src/Views/WifiPage.vala"
			gtk_list_box_set_selection_mode (_tmp107_, GTK_SELECTION_NONE);
#line 419 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp107_);
#line 419 "../src/Views/WifiPage.vala"
			connected_listbox = _tmp107_;
#line 422 "../src/Views/WifiPage.vala"
			_tmp108_ = connected_listbox;
#line 422 "../src/Views/WifiPage.vala"
			gtk_widget_add_css_class ((GtkWidget*) _tmp108_, GRANITE_STYLE_CLASS_RICH_LIST);
#line 423 "../src/Views/WifiPage.vala"
			_tmp109_ = connected_listbox;
#line 423 "../src/Views/WifiPage.vala"
			_tmp110_ = connected_box;
#line 423 "../src/Views/WifiPage.vala"
			gtk_list_box_append (_tmp109_, (GtkWidget*) _tmp110_);
#line 424 "../src/Views/WifiPage.vala"
			_tmp111_ = connected_listbox;
#line 424 "../src/Views/WifiPage.vala"
			_tmp112_ = gtk_widget_get_first_child ((GtkWidget*) _tmp111_);
#line 424 "../src/Views/WifiPage.vala"
			gtk_widget_set_focusable (_tmp112_, FALSE);
#line 426 "../src/Views/WifiPage.vala"
			_tmp113_ = self->connected_frame;
#line 426 "../src/Views/WifiPage.vala"
			_tmp114_ = connected_listbox;
#line 426 "../src/Views/WifiPage.vala"
			gtk_frame_set_child (_tmp113_, (GtkWidget*) _tmp114_);
#line 364 "../src/Views/WifiPage.vala"
			_g_object_unref0 (connected_listbox);
#line 364 "../src/Views/WifiPage.vala"
			_g_object_unref0 (connected_box);
#line 364 "../src/Views/WifiPage.vala"
			_g_object_unref0 (button_box);
#line 364 "../src/Views/WifiPage.vala"
			_g_object_unref0 (top_item);
#line 1682 "WifiPage.c"
		}
	}
#line 277 "../src/Views/WifiPage.vala"
	_g_object_unref0 (old_active);
#line 1687 "WifiPage.c"
}

static void
network_wifi_interface_real_update_status (NetworkWidgetsPage* base)
{
	NetworkWifiInterface * self;
	NMDevice* _tmp0_;
	NMDevice* _tmp1_;
	NMDeviceState _tmp2_;
	NMDeviceState _tmp3_;
	NMDevice* _tmp4_;
	NMDevice* _tmp5_;
	NMDeviceState _tmp6_;
	NMDeviceState _tmp7_;
#line 430 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 431 "../src/Views/WifiPage.vala"
	_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 431 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 431 "../src/Views/WifiPage.vala"
	_tmp2_ = nm_device_get_state (_tmp1_);
#line 431 "../src/Views/WifiPage.vala"
	_tmp3_ = _tmp2_;
#line 431 "../src/Views/WifiPage.vala"
	switch (_tmp3_) {
#line 431 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 1716 "WifiPage.c"
		{
#line 433 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_SUCCESS);
#line 434 "../src/Views/WifiPage.vala"
			break;
#line 1722 "WifiPage.c"
		}
#line 431 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_DISCONNECTED:
#line 1726 "WifiPage.c"
		{
#line 436 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_OFFLINE);
#line 437 "../src/Views/WifiPage.vala"
			break;
#line 1732 "WifiPage.c"
		}
#line 431 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_FAILED:
#line 1736 "WifiPage.c"
		{
#line 439 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_ERROR);
#line 440 "../src/Views/WifiPage.vala"
			break;
#line 1742 "WifiPage.c"
		}
		default:
		{
#line 442 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_WARNING);
#line 443 "../src/Views/WifiPage.vala"
			break;
#line 1750 "WifiPage.c"
		}
	}
#line 446 "../src/Views/WifiPage.vala"
	_tmp4_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 446 "../src/Views/WifiPage.vala"
	_tmp5_ = _tmp4_;
#line 446 "../src/Views/WifiPage.vala"
	_tmp6_ = nm_device_get_state (_tmp5_);
#line 446 "../src/Views/WifiPage.vala"
	_tmp7_ = _tmp6_;
#line 446 "../src/Views/WifiPage.vala"
	switch (_tmp7_) {
#line 446 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_UNAVAILABLE:
#line 1765 "WifiPage.c"
		{
#line 448 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status ((SwitchboardSettingsPage*) self, _ ("Disabled"));
#line 449 "../src/Views/WifiPage.vala"
			break;
#line 1771 "WifiPage.c"
		}
#line 446 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 1775 "WifiPage.c"
		{
			NMDevice* _tmp8_;
			NMDevice* _tmp9_;
			NMAccessPoint* _tmp10_;
			NMAccessPoint* _tmp11_;
			GBytes* _tmp12_;
			gsize _tmp13_ = 0;
			guint8* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
#line 451 "../src/Views/WifiPage.vala"
			_tmp8_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 451 "../src/Views/WifiPage.vala"
			_tmp9_ = _tmp8_;
#line 451 "../src/Views/WifiPage.vala"
			_tmp10_ = nm_device_wifi_get_active_access_point (G_TYPE_CHECK_INSTANCE_CAST (_tmp9_, nm_device_wifi_get_type (), NMDeviceWifi));
#line 451 "../src/Views/WifiPage.vala"
			_tmp11_ = _tmp10_;
#line 451 "../src/Views/WifiPage.vala"
			_tmp12_ = nm_access_point_get_ssid (_tmp11_);
#line 451 "../src/Views/WifiPage.vala"
			_tmp14_ = g_bytes_get_data (_tmp12_, &_tmp13_);
#line 451 "../src/Views/WifiPage.vala"
			_tmp15_ = nm_utils_ssid_to_utf8 (_tmp14_, (gsize) _tmp13_);
#line 451 "../src/Views/WifiPage.vala"
			_tmp16_ = _tmp15_;
#line 451 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status ((SwitchboardSettingsPage*) self, _tmp16_);
#line 451 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp16_);
#line 454 "../src/Views/WifiPage.vala"
			break;
#line 1808 "WifiPage.c"
		}
		default:
		{
			NMDevice* _tmp17_;
			NMDevice* _tmp18_;
			NMDeviceState _tmp19_;
			NMDeviceState _tmp20_;
			gchar* _tmp21_;
			gchar* _tmp22_;
#line 456 "../src/Views/WifiPage.vala"
			_tmp17_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 456 "../src/Views/WifiPage.vala"
			_tmp18_ = _tmp17_;
#line 456 "../src/Views/WifiPage.vala"
			_tmp19_ = nm_device_get_state (_tmp18_);
#line 456 "../src/Views/WifiPage.vala"
			_tmp20_ = _tmp19_;
#line 456 "../src/Views/WifiPage.vala"
			_tmp21_ = network_utils_state_to_string (_tmp20_);
#line 456 "../src/Views/WifiPage.vala"
			_tmp22_ = _tmp21_;
#line 456 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status ((SwitchboardSettingsPage*) self, _tmp22_);
#line 456 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp22_);
#line 457 "../src/Views/WifiPage.vala"
			break;
#line 1836 "WifiPage.c"
		}
	}
}

static void
network_wifi_interface_real_update_switch (NetworkWidgetsPage* base)
{
	NetworkWifiInterface * self;
	GtkSwitch* _tmp0_;
	GtkSwitch* _tmp1_;
#line 461 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 462 "../src/Views/WifiPage.vala"
	_tmp0_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 462 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 462 "../src/Views/WifiPage.vala"
	gtk_switch_set_active (_tmp1_, !self->priv->software_locked);
#line 1855 "WifiPage.c"
}

static void
network_wifi_interface_real_control_switch_activated (NetworkWidgetsPage* base)
{
	NetworkWifiInterface * self;
	gboolean active = FALSE;
	GtkSwitch* _tmp0_;
	GtkSwitch* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 465 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 466 "../src/Views/WifiPage.vala"
	_tmp0_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 466 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 466 "../src/Views/WifiPage.vala"
	_tmp2_ = gtk_switch_get_active (_tmp1_);
#line 466 "../src/Views/WifiPage.vala"
	_tmp3_ = _tmp2_;
#line 466 "../src/Views/WifiPage.vala"
	active = _tmp3_;
#line 467 "../src/Views/WifiPage.vala"
	if (active == self->priv->software_locked) {
#line 1881 "WifiPage.c"
		RFKillManager* _tmp4_;
		NetworkNetworkManager* network_manager = NULL;
		NetworkNetworkManager* _tmp5_;
		NetworkNetworkManager* _tmp6_;
		NMClient* _tmp7_;
		NMClient* _tmp8_;
#line 468 "../src/Views/WifiPage.vala"
		_tmp4_ = self->priv->rfkill;
#line 468 "../src/Views/WifiPage.vala"
		rf_kill_manager_set_software_lock (_tmp4_, RF_KILL_DEVICE_TYPE_WLAN, !active);
#line 469 "../src/Views/WifiPage.vala"
		_tmp5_ = network_network_manager_get_default ();
#line 469 "../src/Views/WifiPage.vala"
		network_manager = _tmp5_;
#line 470 "../src/Views/WifiPage.vala"
		_tmp6_ = network_manager;
#line 470 "../src/Views/WifiPage.vala"
		_tmp7_ = network_network_manager_get_client (_tmp6_);
#line 470 "../src/Views/WifiPage.vala"
		_tmp8_ = _tmp7_;
#line 470 "../src/Views/WifiPage.vala"
		nm_client_wireless_set_enabled (_tmp8_, active);
#line 1904 "WifiPage.c"
	}
}

static Block9Data*
block9_data_ref (Block9Data* _data9_)
{
#line 474 "../src/Views/WifiPage.vala"
	g_atomic_int_inc (&_data9_->_ref_count_);
#line 474 "../src/Views/WifiPage.vala"
	return _data9_;
#line 1915 "WifiPage.c"
}

static void
block9_data_unref (void * _userdata_)
{
	Block9Data* _data9_;
	_data9_ = (Block9Data*) _userdata_;
#line 474 "../src/Views/WifiPage.vala"
	if (g_atomic_int_dec_and_test (&_data9_->_ref_count_)) {
#line 1925 "WifiPage.c"
		NetworkWifiInterface* self;
#line 474 "../src/Views/WifiPage.vala"
		self = _data9_->self;
#line 474 "../src/Views/WifiPage.vala"
		_g_object_unref0 (self);
#line 474 "../src/Views/WifiPage.vala"
		g_slice_free (Block9Data, _data9_);
#line 1933 "WifiPage.c"
	}
}

static gpointer
_g_ptr_array_ref0 (gpointer self)
{
#line 488 "../src/Views/WifiPage.vala"
	return self ? g_ptr_array_ref (self) : NULL;
#line 1942 "WifiPage.c"
}

static Block10Data*
block10_data_ref (Block10Data* _data10_)
{
#line 500 "../src/Views/WifiPage.vala"
	g_atomic_int_inc (&_data10_->_ref_count_);
#line 500 "../src/Views/WifiPage.vala"
	return _data10_;
#line 1952 "WifiPage.c"
}

static void
block10_data_unref (void * _userdata_)
{
	Block10Data* _data10_;
	_data10_ = (Block10Data*) _userdata_;
#line 500 "../src/Views/WifiPage.vala"
	if (g_atomic_int_dec_and_test (&_data10_->_ref_count_)) {
#line 1962 "WifiPage.c"
		NetworkWifiInterface* self;
#line 500 "../src/Views/WifiPage.vala"
		self = _data10_->_data9_->self;
#line 500 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data10_->wifi_dialog);
#line 500 "../src/Views/WifiPage.vala"
		block9_data_unref (_data10_->_data9_);
#line 500 "../src/Views/WifiPage.vala"
		_data10_->_data9_ = NULL;
#line 500 "../src/Views/WifiPage.vala"
		g_slice_free (Block10Data, _data10_);
#line 1974 "WifiPage.c"
	}
}

static void
___lambda20_ (Block10Data* _data10_,
              gint response)
{
	Block9Data* _data9_;
	NetworkWifiInterface* self;
	NMAWifiDialog* _tmp1_;
#line 544 "../src/Views/WifiPage.vala"
	_data9_ = _data10_->_data9_;
#line 544 "../src/Views/WifiPage.vala"
	self = _data9_->self;
#line 545 "../src/Views/WifiPage.vala"
	if (response == ((gint) GTK_RESPONSE_OK)) {
#line 1991 "WifiPage.c"
		NMAWifiDialog* _tmp0_;
#line 546 "../src/Views/WifiPage.vala"
		_tmp0_ = _data10_->wifi_dialog;
#line 546 "../src/Views/WifiPage.vala"
		network_wifi_interface_connect_to_network (self, _tmp0_, NULL, NULL);
#line 1997 "WifiPage.c"
	}
#line 548 "../src/Views/WifiPage.vala"
	_tmp1_ = _data10_->wifi_dialog;
#line 548 "../src/Views/WifiPage.vala"
	gtk_window_destroy ((GtkWindow*) _tmp1_);
#line 2003 "WifiPage.c"
}

static void
____lambda20__gtk_dialog_response (GtkDialog* _sender,
                                   gint response_id,
                                   gpointer self)
{
#line 544 "../src/Views/WifiPage.vala"
	___lambda20_ (self, response_id);
#line 2013 "WifiPage.c"
}

static gpointer
_g_bytes_ref0 (gpointer self)
{
#line 561 "../src/Views/WifiPage.vala"
	return self ? g_bytes_ref (self) : NULL;
#line 2021 "WifiPage.c"
}

static void
___lambda22_ (Block9Data* _data9_,
              GObject* obj,
              GAsyncResult* res)
{
	NetworkWifiInterface* self;
	GError* _inner_error0_ = NULL;
#line 572 "../src/Views/WifiPage.vala"
	self = _data9_->self;
#line 572 "../src/Views/WifiPage.vala"
	g_return_if_fail (res != NULL);
#line 2035 "WifiPage.c"
	{
		NMClient* _tmp0_;
		NMActiveConnection* _tmp1_;
		NMActiveConnection* _tmp2_;
#line 574 "../src/Views/WifiPage.vala"
		_tmp0_ = _data9_->client;
#line 574 "../src/Views/WifiPage.vala"
		_tmp1_ = nm_client_add_and_activate_connection_finish (_tmp0_, res, &_inner_error0_);
#line 574 "../src/Views/WifiPage.vala"
		_tmp2_ = _tmp1_;
#line 574 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_tmp2_);
#line 574 "../src/Views/WifiPage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2050 "WifiPage.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 573 "../src/Views/WifiPage.vala"
		_error_ = _inner_error0_;
#line 573 "../src/Views/WifiPage.vala"
		_inner_error0_ = NULL;
#line 576 "../src/Views/WifiPage.vala"
		_tmp3_ = _error_;
#line 576 "../src/Views/WifiPage.vala"
		_tmp4_ = _tmp3_->message;
#line 576 "../src/Views/WifiPage.vala"
		g_warning ("WifiPage.vala:576: %s", _tmp4_);
#line 573 "../src/Views/WifiPage.vala"
		_g_error_free0 (_error_);
#line 2072 "WifiPage.c"
	}
	__finally0:
#line 573 "../src/Views/WifiPage.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 573 "../src/Views/WifiPage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 573 "../src/Views/WifiPage.vala"
		g_clear_error (&_inner_error0_);
#line 573 "../src/Views/WifiPage.vala"
		return;
#line 2083 "WifiPage.c"
	}
}

static void
____lambda22__gasync_ready_callback (GObject* source_object,
                                     GAsyncResult* res,
                                     gpointer self)
{
#line 567 "../src/Views/WifiPage.vala"
	___lambda22_ (self, source_object, res);
#line 567 "../src/Views/WifiPage.vala"
	block9_data_unref (self);
#line 2096 "WifiPage.c"
}

static gboolean
__lambda23_ (NetworkWifiInterface* self)
{
	gboolean result;
#line 585 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 585 "../src/Views/WifiPage.vala"
	result = FALSE;
#line 585 "../src/Views/WifiPage.vala"
	return result;
#line 2109 "WifiPage.c"
}

static gboolean
___lambda23__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda23_ ((NetworkWifiInterface*) self);
#line 585 "../src/Views/WifiPage.vala"
	return result;
#line 2119 "WifiPage.c"
}

static void
network_wifi_interface_wifi_activate_cb (NetworkWifiInterface* self,
                                         NetworkWifiMenuItem* row)
{
	Block9Data* _data9_;
	NMDevice* _tmp0_;
	NMDevice* _tmp1_;
	NMDeviceWifi* _tmp2_;
	NMAccessPoint* _tmp3_;
	NMAccessPoint* _tmp4_;
	NMAccessPoint* _tmp5_;
	NetworkNetworkManager* network_manager = NULL;
	NetworkNetworkManager* _tmp6_;
	NetworkNetworkManager* _tmp7_;
	NMClient* _tmp8_;
	NMClient* _tmp9_;
	GPtrArray* connections = NULL;
	NMClient* _tmp10_;
	GPtrArray* _tmp11_;
	GPtrArray* _tmp12_;
	GPtrArray* device_connections = NULL;
	NMDeviceWifi* _tmp13_;
	GPtrArray* _tmp14_;
	GPtrArray* _tmp15_;
	GPtrArray* ap_connections = NULL;
	NMAccessPoint* _tmp16_;
	NMAccessPoint* _tmp17_;
	GPtrArray* _tmp18_;
	GPtrArray* _tmp19_;
	NMConnection* valid_connection = NULL;
	NMAccessPoint* _tmp20_;
	NMAccessPoint* _tmp21_;
	GPtrArray* _tmp22_;
	NMConnection* _tmp23_;
	NMConnection* _tmp24_;
	NMConnection* connection = NULL;
	NMConnection* _tmp31_;
	gboolean _tmp32_;
	gboolean _tmp33_;
#line 474 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 474 "../src/Views/WifiPage.vala"
	g_return_if_fail (row != NULL);
#line 474 "../src/Views/WifiPage.vala"
	_data9_ = g_slice_new0 (Block9Data);
#line 474 "../src/Views/WifiPage.vala"
	_data9_->_ref_count_ = 1;
#line 474 "../src/Views/WifiPage.vala"
	_data9_->self = g_object_ref (self);
#line 475 "../src/Views/WifiPage.vala"
	_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 475 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 475 "../src/Views/WifiPage.vala"
	if (_tmp1_ == NULL) {
#line 476 "../src/Views/WifiPage.vala"
		block9_data_unref (_data9_);
#line 476 "../src/Views/WifiPage.vala"
		_data9_ = NULL;
#line 476 "../src/Views/WifiPage.vala"
		return;
#line 2183 "WifiPage.c"
	}
#line 480 "../src/Views/WifiPage.vala"
	_tmp2_ = self->wifi_device;
#line 480 "../src/Views/WifiPage.vala"
	_tmp3_ = nm_device_wifi_get_active_access_point (_tmp2_);
#line 480 "../src/Views/WifiPage.vala"
	_tmp4_ = network_wifi_menu_item_get_ap (row);
#line 480 "../src/Views/WifiPage.vala"
	_tmp5_ = _tmp4_;
#line 480 "../src/Views/WifiPage.vala"
	if (_tmp3_ == _tmp5_) {
#line 481 "../src/Views/WifiPage.vala"
		block9_data_unref (_data9_);
#line 481 "../src/Views/WifiPage.vala"
		_data9_ = NULL;
#line 481 "../src/Views/WifiPage.vala"
		return;
#line 2201 "WifiPage.c"
	}
#line 484 "../src/Views/WifiPage.vala"
	_tmp6_ = network_network_manager_get_default ();
#line 484 "../src/Views/WifiPage.vala"
	network_manager = _tmp6_;
#line 485 "../src/Views/WifiPage.vala"
	_tmp7_ = network_manager;
#line 485 "../src/Views/WifiPage.vala"
	_tmp8_ = network_network_manager_get_client (_tmp7_);
#line 485 "../src/Views/WifiPage.vala"
	_tmp9_ = _tmp8_;
#line 485 "../src/Views/WifiPage.vala"
	_data9_->client = _tmp9_;
#line 488 "../src/Views/WifiPage.vala"
	_tmp10_ = _data9_->client;
#line 488 "../src/Views/WifiPage.vala"
	_tmp11_ = nm_client_get_connections (_tmp10_);
#line 488 "../src/Views/WifiPage.vala"
	_tmp12_ = _g_ptr_array_ref0 (_tmp11_);
#line 488 "../src/Views/WifiPage.vala"
	connections = _tmp12_;
#line 489 "../src/Views/WifiPage.vala"
	_tmp13_ = self->wifi_device;
#line 489 "../src/Views/WifiPage.vala"
	_tmp14_ = connections;
#line 489 "../src/Views/WifiPage.vala"
	_tmp15_ = nm_device_filter_connections ((NMDevice*) _tmp13_, _tmp14_);
#line 489 "../src/Views/WifiPage.vala"
	device_connections = _tmp15_;
#line 490 "../src/Views/WifiPage.vala"
	_tmp16_ = network_wifi_menu_item_get_ap (row);
#line 490 "../src/Views/WifiPage.vala"
	_tmp17_ = _tmp16_;
#line 490 "../src/Views/WifiPage.vala"
	_tmp18_ = device_connections;
#line 490 "../src/Views/WifiPage.vala"
	_tmp19_ = nm_access_point_filter_connections (_tmp17_, _tmp18_);
#line 490 "../src/Views/WifiPage.vala"
	ap_connections = _tmp19_;
#line 492 "../src/Views/WifiPage.vala"
	_tmp20_ = network_wifi_menu_item_get_ap (row);
#line 492 "../src/Views/WifiPage.vala"
	_tmp21_ = _tmp20_;
#line 492 "../src/Views/WifiPage.vala"
	_tmp22_ = ap_connections;
#line 492 "../src/Views/WifiPage.vala"
	_tmp23_ = network_wifi_interface_get_valid_connection (self, _tmp21_, _tmp22_);
#line 492 "../src/Views/WifiPage.vala"
	valid_connection = _tmp23_;
#line 493 "../src/Views/WifiPage.vala"
	_tmp24_ = valid_connection;
#line 493 "../src/Views/WifiPage.vala"
	if (_tmp24_ != NULL) {
#line 2255 "WifiPage.c"
		NMClient* _tmp25_;
		NMConnection* _tmp26_;
		NMDeviceWifi* _tmp27_;
		NMAccessPoint* _tmp28_;
		NMAccessPoint* _tmp29_;
		const gchar* _tmp30_;
#line 494 "../src/Views/WifiPage.vala"
		_tmp25_ = _data9_->client;
#line 494 "../src/Views/WifiPage.vala"
		_tmp26_ = valid_connection;
#line 494 "../src/Views/WifiPage.vala"
		_tmp27_ = self->wifi_device;
#line 494 "../src/Views/WifiPage.vala"
		_tmp28_ = network_wifi_menu_item_get_ap (row);
#line 494 "../src/Views/WifiPage.vala"
		_tmp29_ = _tmp28_;
#line 494 "../src/Views/WifiPage.vala"
		_tmp30_ = nm_object_get_path ((NMObject*) _tmp29_);
#line 494 "../src/Views/WifiPage.vala"
		nm_client_activate_connection_async (_tmp25_, _tmp26_, (NMDevice*) _tmp27_, _tmp30_, NULL, NULL, NULL);
#line 495 "../src/Views/WifiPage.vala"
		_g_object_unref0 (valid_connection);
#line 495 "../src/Views/WifiPage.vala"
		_g_ptr_array_unref0 (ap_connections);
#line 495 "../src/Views/WifiPage.vala"
		_g_ptr_array_unref0 (device_connections);
#line 495 "../src/Views/WifiPage.vala"
		_g_ptr_array_unref0 (connections);
#line 495 "../src/Views/WifiPage.vala"
		block9_data_unref (_data9_);
#line 495 "../src/Views/WifiPage.vala"
		_data9_ = NULL;
#line 495 "../src/Views/WifiPage.vala"
		return;
#line 2290 "WifiPage.c"
	}
#line 498 "../src/Views/WifiPage.vala"
	_tmp31_ = nm_simple_connection_new ();
#line 498 "../src/Views/WifiPage.vala"
	connection = _tmp31_;
#line 500 "../src/Views/WifiPage.vala"
	_tmp32_ = network_wifi_menu_item_get_is_secured (row);
#line 500 "../src/Views/WifiPage.vala"
	_tmp33_ = _tmp32_;
#line 500 "../src/Views/WifiPage.vala"
	if (_tmp33_) {
#line 2302 "WifiPage.c"
		Block10Data* _data10_;
		NMSettingConnection* s_con = NULL;
		gchar* _tmp34_;
		NMSettingConnection* _tmp35_ = NULL;
		NMConnection* _tmp36_;
		NMSettingConnection* _tmp37_;
		NMSetting* _tmp38_;
		gboolean _tmp39_ = FALSE;
		NMAccessPoint* _tmp40_;
		NMAccessPoint* _tmp41_;
		NMSettingWireless* s_wifi = NULL;
		NMSettingWireless* _tmp49_;
		NMSettingWireless* _tmp50_;
		NMAccessPoint* _tmp51_;
		NMAccessPoint* _tmp52_;
		GBytes* _tmp53_;
		NMConnection* _tmp54_;
		NMSettingWireless* _tmp55_;
		NMSetting* _tmp56_;
		gboolean _tmp57_ = FALSE;
		NMAccessPoint* _tmp58_;
		NMAccessPoint* _tmp59_;
		NMClient* _tmp73_;
		NMConnection* _tmp74_;
		NMDeviceWifi* _tmp75_;
		NMAccessPoint* _tmp76_;
		NMAccessPoint* _tmp77_;
		GtkRoot* _tmp78_;
		GtkWindow* _tmp79_;
		NMAWifiDialog* _tmp80_ = NULL;
		NMAWifiDialog* _tmp81_;
		NMAWifiDialog* _tmp82_;
#line 500 "../src/Views/WifiPage.vala"
		_data10_ = g_slice_new0 (Block10Data);
#line 500 "../src/Views/WifiPage.vala"
		_data10_->_ref_count_ = 1;
#line 500 "../src/Views/WifiPage.vala"
		_data10_->_data9_ = block9_data_ref (_data9_);
#line 501 "../src/Views/WifiPage.vala"
		_tmp34_ = nm_utils_uuid_generate ();
#line 501 "../src/Views/WifiPage.vala"
		_tmp35_ = (NMSettingConnection*) nm_setting_connection_new ();
#line 501 "../src/Views/WifiPage.vala"
		g_object_set (_tmp35_, "uuid", _tmp34_, NULL);
#line 501 "../src/Views/WifiPage.vala"
		_g_free0 (_tmp34_);
#line 501 "../src/Views/WifiPage.vala"
		s_con = _tmp35_;
#line 504 "../src/Views/WifiPage.vala"
		_tmp36_ = connection;
#line 504 "../src/Views/WifiPage.vala"
		_tmp37_ = s_con;
#line 504 "../src/Views/WifiPage.vala"
		_tmp38_ = _g_object_ref0 ((NMSetting*) _tmp37_);
#line 504 "../src/Views/WifiPage.vala"
		nm_connection_add_setting (_tmp36_, _tmp38_);
#line 506 "../src/Views/WifiPage.vala"
		_tmp40_ = network_wifi_menu_item_get_ap (row);
#line 506 "../src/Views/WifiPage.vala"
		_tmp41_ = _tmp40_;
#line 506 "../src/Views/WifiPage.vala"
		if ((nm_access_point_get_rsn_flags (_tmp41_) & NM_802_11_AP_SEC_KEY_MGMT_SAE) == NM_802_11_AP_SEC_KEY_MGMT_SAE) {
#line 506 "../src/Views/WifiPage.vala"
			_tmp39_ = TRUE;
#line 2367 "WifiPage.c"
		} else {
			NMAccessPoint* _tmp42_;
			NMAccessPoint* _tmp43_;
#line 507 "../src/Views/WifiPage.vala"
			_tmp42_ = network_wifi_menu_item_get_ap (row);
#line 507 "../src/Views/WifiPage.vala"
			_tmp43_ = _tmp42_;
#line 507 "../src/Views/WifiPage.vala"
			_tmp39_ = (nm_access_point_get_wpa_flags (_tmp43_) & NM_802_11_AP_SEC_KEY_MGMT_SAE) == NM_802_11_AP_SEC_KEY_MGMT_SAE;
#line 2377 "WifiPage.c"
		}
#line 506 "../src/Views/WifiPage.vala"
		if (_tmp39_) {
#line 2381 "WifiPage.c"
			NMSettingWirelessSecurity* s_wsec = NULL;
			NMSettingWirelessSecurity* _tmp44_;
			NMSettingWirelessSecurity* _tmp45_;
			NMConnection* _tmp46_;
			NMSettingWirelessSecurity* _tmp47_;
			NMSetting* _tmp48_;
#line 508 "../src/Views/WifiPage.vala"
			_tmp44_ = (NMSettingWirelessSecurity*) nm_setting_wireless_security_new ();
#line 508 "../src/Views/WifiPage.vala"
			s_wsec = _tmp44_;
#line 509 "../src/Views/WifiPage.vala"
			_tmp45_ = s_wsec;
#line 509 "../src/Views/WifiPage.vala"
			g_object_set (_tmp45_, "key-mgmt", "sae", NULL);
#line 510 "../src/Views/WifiPage.vala"
			_tmp46_ = connection;
#line 510 "../src/Views/WifiPage.vala"
			_tmp47_ = s_wsec;
#line 510 "../src/Views/WifiPage.vala"
			_tmp48_ = _g_object_ref0 ((NMSetting*) _tmp47_);
#line 510 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp46_, _tmp48_);
#line 506 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_wsec);
#line 2406 "WifiPage.c"
		}
#line 513 "../src/Views/WifiPage.vala"
		_tmp49_ = (NMSettingWireless*) nm_setting_wireless_new ();
#line 513 "../src/Views/WifiPage.vala"
		s_wifi = _tmp49_;
#line 514 "../src/Views/WifiPage.vala"
		_tmp50_ = s_wifi;
#line 514 "../src/Views/WifiPage.vala"
		_tmp51_ = network_wifi_menu_item_get_ap (row);
#line 514 "../src/Views/WifiPage.vala"
		_tmp52_ = _tmp51_;
#line 514 "../src/Views/WifiPage.vala"
		_tmp53_ = nm_access_point_get_ssid (_tmp52_);
#line 514 "../src/Views/WifiPage.vala"
		g_object_set (_tmp50_, "ssid", _tmp53_, NULL);
#line 515 "../src/Views/WifiPage.vala"
		_tmp54_ = connection;
#line 515 "../src/Views/WifiPage.vala"
		_tmp55_ = s_wifi;
#line 515 "../src/Views/WifiPage.vala"
		_tmp56_ = _g_object_ref0 ((NMSetting*) _tmp55_);
#line 515 "../src/Views/WifiPage.vala"
		nm_connection_add_setting (_tmp54_, _tmp56_);
#line 520 "../src/Views/WifiPage.vala"
		_tmp58_ = network_wifi_menu_item_get_ap (row);
#line 520 "../src/Views/WifiPage.vala"
		_tmp59_ = _tmp58_;
#line 520 "../src/Views/WifiPage.vala"
		if ((nm_access_point_get_rsn_flags (_tmp59_) & NM_802_11_AP_SEC_KEY_MGMT_802_1X) == NM_802_11_AP_SEC_KEY_MGMT_802_1X) {
#line 520 "../src/Views/WifiPage.vala"
			_tmp57_ = TRUE;
#line 2438 "WifiPage.c"
		} else {
			NMAccessPoint* _tmp60_;
			NMAccessPoint* _tmp61_;
#line 521 "../src/Views/WifiPage.vala"
			_tmp60_ = network_wifi_menu_item_get_ap (row);
#line 521 "../src/Views/WifiPage.vala"
			_tmp61_ = _tmp60_;
#line 521 "../src/Views/WifiPage.vala"
			_tmp57_ = (nm_access_point_get_wpa_flags (_tmp61_) & NM_802_11_AP_SEC_KEY_MGMT_802_1X) == NM_802_11_AP_SEC_KEY_MGMT_802_1X;
#line 2448 "WifiPage.c"
		}
#line 520 "../src/Views/WifiPage.vala"
		if (_tmp57_) {
#line 2452 "WifiPage.c"
			NMSettingWirelessSecurity* s_wsec = NULL;
			gchar* _tmp62_;
			NMSettingWirelessSecurity* _tmp63_ = NULL;
			NMConnection* _tmp64_;
			NMSettingWirelessSecurity* _tmp65_;
			NMSetting* _tmp66_;
			NMSetting8021x* s_8021x = NULL;
			NMSetting8021x* _tmp67_;
			NMSetting8021x* _tmp68_;
			NMSetting8021x* _tmp69_;
			NMConnection* _tmp70_;
			NMSetting8021x* _tmp71_;
			NMSetting* _tmp72_;
#line 523 "../src/Views/WifiPage.vala"
			_tmp62_ = g_strdup ("wpa-eap");
#line 523 "../src/Views/WifiPage.vala"
			_tmp63_ = (NMSettingWirelessSecurity*) nm_setting_wireless_security_new ();
#line 523 "../src/Views/WifiPage.vala"
			g_object_set (_tmp63_, "key-mgmt", _tmp62_, NULL);
#line 523 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp62_);
#line 523 "../src/Views/WifiPage.vala"
			s_wsec = _tmp63_;
#line 526 "../src/Views/WifiPage.vala"
			_tmp64_ = connection;
#line 526 "../src/Views/WifiPage.vala"
			_tmp65_ = s_wsec;
#line 526 "../src/Views/WifiPage.vala"
			_tmp66_ = _g_object_ref0 ((NMSetting*) _tmp65_);
#line 526 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp64_, _tmp66_);
#line 528 "../src/Views/WifiPage.vala"
			_tmp67_ = (NMSetting8021x*) nm_setting_802_1x_new ();
#line 528 "../src/Views/WifiPage.vala"
			s_8021x = _tmp67_;
#line 529 "../src/Views/WifiPage.vala"
			_tmp68_ = s_8021x;
#line 529 "../src/Views/WifiPage.vala"
			nm_setting_802_1x_add_eap_method (_tmp68_, "ttls");
#line 530 "../src/Views/WifiPage.vala"
			_tmp69_ = s_8021x;
#line 530 "../src/Views/WifiPage.vala"
			g_object_set (_tmp69_, "phase2-auth", "mschapv2", NULL);
#line 531 "../src/Views/WifiPage.vala"
			_tmp70_ = connection;
#line 531 "../src/Views/WifiPage.vala"
			_tmp71_ = s_8021x;
#line 531 "../src/Views/WifiPage.vala"
			_tmp72_ = _g_object_ref0 ((NMSetting*) _tmp71_);
#line 531 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp70_, _tmp72_);
#line 520 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_8021x);
#line 520 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_wsec);
#line 2508 "WifiPage.c"
		}
#line 537 "../src/Views/WifiPage.vala"
		_tmp73_ = _data9_->client;
#line 537 "../src/Views/WifiPage.vala"
		_tmp74_ = connection;
#line 537 "../src/Views/WifiPage.vala"
		_tmp75_ = self->wifi_device;
#line 537 "../src/Views/WifiPage.vala"
		_tmp76_ = network_wifi_menu_item_get_ap (row);
#line 537 "../src/Views/WifiPage.vala"
		_tmp77_ = _tmp76_;
#line 537 "../src/Views/WifiPage.vala"
		_tmp78_ = gtk_widget_get_root ((GtkWidget*) self);
#line 537 "../src/Views/WifiPage.vala"
		_tmp79_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp78_, gtk_window_get_type (), GtkWindow));
#line 537 "../src/Views/WifiPage.vala"
		_tmp80_ = (NMAWifiDialog*) nma_wifi_dialog_new (_tmp73_, _tmp74_, (NMDevice*) _tmp75_, _tmp77_, FALSE);
#line 537 "../src/Views/WifiPage.vala"
		gtk_window_set_deletable ((GtkWindow*) _tmp80_, FALSE);
#line 537 "../src/Views/WifiPage.vala"
		gtk_window_set_modal ((GtkWindow*) _tmp80_, TRUE);
#line 537 "../src/Views/WifiPage.vala"
		gtk_window_set_transient_for ((GtkWindow*) _tmp80_, _tmp79_);
#line 537 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_tmp79_);
#line 537 "../src/Views/WifiPage.vala"
		g_object_ref_sink (_tmp80_);
#line 537 "../src/Views/WifiPage.vala"
		_data10_->wifi_dialog = _tmp80_;
#line 542 "../src/Views/WifiPage.vala"
		_tmp81_ = _data10_->wifi_dialog;
#line 542 "../src/Views/WifiPage.vala"
		gtk_window_present ((GtkWindow*) _tmp81_);
#line 544 "../src/Views/WifiPage.vala"
		_tmp82_ = _data10_->wifi_dialog;
#line 544 "../src/Views/WifiPage.vala"
		g_signal_connect_data ((GtkDialog*) _tmp82_, "response", (GCallback) ____lambda20__gtk_dialog_response, block10_data_ref (_data10_), (GClosureNotify) block10_data_unref, 0);
#line 500 "../src/Views/WifiPage.vala"
		_g_object_unref0 (s_wifi);
#line 500 "../src/Views/WifiPage.vala"
		_g_object_unref0 (s_con);
#line 500 "../src/Views/WifiPage.vala"
		block10_data_unref (_data10_);
#line 500 "../src/Views/WifiPage.vala"
		_data10_ = NULL;
#line 2554 "WifiPage.c"
	} else {
		gboolean _tmp83_ = FALSE;
		NMAccessPoint* _tmp84_;
		NMAccessPoint* _tmp85_;
		NMClient* _tmp106_;
		NMConnection* _tmp107_;
		NMDeviceWifi* _tmp108_;
		NMAccessPoint* _tmp109_;
		NMAccessPoint* _tmp110_;
		const gchar* _tmp111_;
#line 551 "../src/Views/WifiPage.vala"
		_tmp84_ = network_wifi_menu_item_get_ap (row);
#line 551 "../src/Views/WifiPage.vala"
		_tmp85_ = _tmp84_;
#line 551 "../src/Views/WifiPage.vala"
		if ((nm_access_point_get_rsn_flags (_tmp85_) & NM_802_11_AP_SEC_KEY_MGMT_OWE) == NM_802_11_AP_SEC_KEY_MGMT_OWE) {
#line 551 "../src/Views/WifiPage.vala"
			_tmp83_ = TRUE;
#line 2573 "WifiPage.c"
		} else {
			NMAccessPoint* _tmp86_;
			NMAccessPoint* _tmp87_;
#line 552 "../src/Views/WifiPage.vala"
			_tmp86_ = network_wifi_menu_item_get_ap (row);
#line 552 "../src/Views/WifiPage.vala"
			_tmp87_ = _tmp86_;
#line 552 "../src/Views/WifiPage.vala"
			_tmp83_ = (nm_access_point_get_wpa_flags (_tmp87_) & NM_802_11_AP_SEC_KEY_MGMT_OWE) == NM_802_11_AP_SEC_KEY_MGMT_OWE;
#line 2583 "WifiPage.c"
		}
#line 551 "../src/Views/WifiPage.vala"
		if (_tmp83_) {
#line 2587 "WifiPage.c"
			NMSettingConnection* s_con = NULL;
			gchar* _tmp88_;
			NMSettingConnection* _tmp89_ = NULL;
			NMConnection* _tmp90_;
			NMSettingConnection* _tmp91_;
			NMSetting* _tmp92_;
			NMSettingWirelessSecurity* s_wsec = NULL;
			gchar* _tmp93_;
			NMSettingWirelessSecurity* _tmp94_ = NULL;
			NMConnection* _tmp95_;
			NMSettingWirelessSecurity* _tmp96_;
			NMSetting* _tmp97_;
			NMSettingWireless* s_wifi = NULL;
			NMAccessPoint* _tmp98_;
			NMAccessPoint* _tmp99_;
			GBytes* _tmp100_;
			GBytes* _tmp101_;
			NMSettingWireless* _tmp102_ = NULL;
			NMConnection* _tmp103_;
			NMSettingWireless* _tmp104_;
			NMSetting* _tmp105_;
#line 553 "../src/Views/WifiPage.vala"
			_tmp88_ = nm_utils_uuid_generate ();
#line 553 "../src/Views/WifiPage.vala"
			_tmp89_ = (NMSettingConnection*) nm_setting_connection_new ();
#line 553 "../src/Views/WifiPage.vala"
			g_object_set (_tmp89_, "uuid", _tmp88_, NULL);
#line 553 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp88_);
#line 553 "../src/Views/WifiPage.vala"
			s_con = _tmp89_;
#line 556 "../src/Views/WifiPage.vala"
			_tmp90_ = connection;
#line 556 "../src/Views/WifiPage.vala"
			_tmp91_ = s_con;
#line 556 "../src/Views/WifiPage.vala"
			_tmp92_ = _g_object_ref0 ((NMSetting*) _tmp91_);
#line 556 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp90_, _tmp92_);
#line 557 "../src/Views/WifiPage.vala"
			_tmp93_ = g_strdup ("owe");
#line 557 "../src/Views/WifiPage.vala"
			_tmp94_ = (NMSettingWirelessSecurity*) nm_setting_wireless_security_new ();
#line 557 "../src/Views/WifiPage.vala"
			g_object_set (_tmp94_, "key-mgmt", _tmp93_, NULL);
#line 557 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp93_);
#line 557 "../src/Views/WifiPage.vala"
			s_wsec = _tmp94_;
#line 560 "../src/Views/WifiPage.vala"
			_tmp95_ = connection;
#line 560 "../src/Views/WifiPage.vala"
			_tmp96_ = s_wsec;
#line 560 "../src/Views/WifiPage.vala"
			_tmp97_ = _g_object_ref0 ((NMSetting*) _tmp96_);
#line 560 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp95_, _tmp97_);
#line 561 "../src/Views/WifiPage.vala"
			_tmp98_ = network_wifi_menu_item_get_ap (row);
#line 561 "../src/Views/WifiPage.vala"
			_tmp99_ = _tmp98_;
#line 561 "../src/Views/WifiPage.vala"
			_tmp100_ = nm_access_point_get_ssid (_tmp99_);
#line 561 "../src/Views/WifiPage.vala"
			_tmp101_ = _g_bytes_ref0 (_tmp100_);
#line 561 "../src/Views/WifiPage.vala"
			_tmp102_ = (NMSettingWireless*) nm_setting_wireless_new ();
#line 561 "../src/Views/WifiPage.vala"
			g_object_set (_tmp102_, "ssid", _tmp101_, NULL);
#line 561 "../src/Views/WifiPage.vala"
			_g_bytes_unref0 (_tmp101_);
#line 561 "../src/Views/WifiPage.vala"
			s_wifi = _tmp102_;
#line 564 "../src/Views/WifiPage.vala"
			_tmp103_ = connection;
#line 564 "../src/Views/WifiPage.vala"
			_tmp104_ = s_wifi;
#line 564 "../src/Views/WifiPage.vala"
			_tmp105_ = _g_object_ref0 ((NMSetting*) _tmp104_);
#line 564 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp103_, _tmp105_);
#line 551 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_wifi);
#line 551 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_wsec);
#line 551 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_con);
#line 2675 "WifiPage.c"
		}
#line 567 "../src/Views/WifiPage.vala"
		_tmp106_ = _data9_->client;
#line 567 "../src/Views/WifiPage.vala"
		_tmp107_ = connection;
#line 567 "../src/Views/WifiPage.vala"
		_tmp108_ = self->wifi_device;
#line 567 "../src/Views/WifiPage.vala"
		_tmp109_ = network_wifi_menu_item_get_ap (row);
#line 567 "../src/Views/WifiPage.vala"
		_tmp110_ = _tmp109_;
#line 567 "../src/Views/WifiPage.vala"
		_tmp111_ = nm_object_get_path ((NMObject*) _tmp110_);
#line 567 "../src/Views/WifiPage.vala"
		nm_client_add_and_activate_connection_async (_tmp106_, _tmp107_, (NMDevice*) _tmp108_, _tmp111_, NULL, ____lambda22__gasync_ready_callback, block9_data_ref (_data9_));
#line 2691 "WifiPage.c"
	}
#line 585 "../src/Views/WifiPage.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ___lambda23__gsource_func, g_object_ref (self), g_object_unref);
#line 474 "../src/Views/WifiPage.vala"
	_g_object_unref0 (connection);
#line 474 "../src/Views/WifiPage.vala"
	_g_object_unref0 (valid_connection);
#line 474 "../src/Views/WifiPage.vala"
	_g_ptr_array_unref0 (ap_connections);
#line 474 "../src/Views/WifiPage.vala"
	_g_ptr_array_unref0 (device_connections);
#line 474 "../src/Views/WifiPage.vala"
	_g_ptr_array_unref0 (connections);
#line 474 "../src/Views/WifiPage.vala"
	block9_data_unref (_data9_);
#line 474 "../src/Views/WifiPage.vala"
	_data9_ = NULL;
#line 2709 "WifiPage.c"
}

static gint
vala_g_ptr_array_get_length (GPtrArray* self)
{
	gint result;
#line 5950 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 5951 "glib-2.0.vapi"
	result = (gint) self->len;
#line 5951 "glib-2.0.vapi"
	return result;
#line 2722 "WifiPage.c"
}

static NMConnection*
network_wifi_interface_get_valid_connection (NetworkWifiInterface* self,
                                             NMAccessPoint* ap,
                                             GPtrArray* ap_connections)
{
	NMConnection* result;
#line 588 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 588 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (ap != NULL, NULL);
#line 588 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (ap_connections != NULL, NULL);
#line 2737 "WifiPage.c"
	{
		gint i = 0;
#line 589 "../src/Views/WifiPage.vala"
		i = 0;
#line 2742 "WifiPage.c"
		{
			gboolean _tmp0_ = FALSE;
#line 589 "../src/Views/WifiPage.vala"
			_tmp0_ = TRUE;
#line 589 "../src/Views/WifiPage.vala"
			while (TRUE) {
#line 2749 "WifiPage.c"
				gint _tmp2_;
				gint _tmp3_;
				NMConnection* connection = NULL;
				gconstpointer _tmp4_;
				NMConnection* _tmp5_;
#line 589 "../src/Views/WifiPage.vala"
				if (!_tmp0_) {
#line 2757 "WifiPage.c"
					gint _tmp1_;
#line 589 "../src/Views/WifiPage.vala"
					_tmp1_ = i;
#line 589 "../src/Views/WifiPage.vala"
					i = _tmp1_ + 1;
#line 2763 "WifiPage.c"
				}
#line 589 "../src/Views/WifiPage.vala"
				_tmp0_ = FALSE;
#line 589 "../src/Views/WifiPage.vala"
				_tmp2_ = vala_g_ptr_array_get_length (ap_connections);
#line 589 "../src/Views/WifiPage.vala"
				_tmp3_ = _tmp2_;
#line 589 "../src/Views/WifiPage.vala"
				if (!(i < _tmp3_)) {
#line 589 "../src/Views/WifiPage.vala"
					break;
#line 2775 "WifiPage.c"
				}
#line 590 "../src/Views/WifiPage.vala"
				_tmp4_ = g_ptr_array_index (ap_connections, (guint) i);
#line 590 "../src/Views/WifiPage.vala"
				connection = (NMConnection*) _tmp4_;
#line 591 "../src/Views/WifiPage.vala"
				_tmp5_ = connection;
#line 591 "../src/Views/WifiPage.vala"
				if (nm_access_point_connection_valid (ap, _tmp5_)) {
#line 2785 "WifiPage.c"
					NMConnection* _tmp6_;
					NMConnection* _tmp7_;
#line 592 "../src/Views/WifiPage.vala"
					_tmp6_ = connection;
#line 592 "../src/Views/WifiPage.vala"
					_tmp7_ = _g_object_ref0 (_tmp6_);
#line 592 "../src/Views/WifiPage.vala"
					result = _tmp7_;
#line 592 "../src/Views/WifiPage.vala"
					return result;
#line 2796 "WifiPage.c"
				}
			}
		}
	}
#line 596 "../src/Views/WifiPage.vala"
	result = NULL;
#line 596 "../src/Views/WifiPage.vala"
	return result;
#line 2805 "WifiPage.c"
}

static Block11Data*
block11_data_ref (Block11Data* _data11_)
{
#line 599 "../src/Views/WifiPage.vala"
	g_atomic_int_inc (&_data11_->_ref_count_);
#line 599 "../src/Views/WifiPage.vala"
	return _data11_;
#line 2815 "WifiPage.c"
}

static void
block11_data_unref (void * _userdata_)
{
	Block11Data* _data11_;
	_data11_ = (Block11Data*) _userdata_;
#line 599 "../src/Views/WifiPage.vala"
	if (g_atomic_int_dec_and_test (&_data11_->_ref_count_)) {
#line 2825 "WifiPage.c"
		NetworkWifiInterface* self;
#line 599 "../src/Views/WifiPage.vala"
		self = _data11_->self;
#line 599 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data11_->hidden_dialog);
#line 599 "../src/Views/WifiPage.vala"
		_g_object_unref0 (self);
#line 599 "../src/Views/WifiPage.vala"
		g_slice_free (Block11Data, _data11_);
#line 2835 "WifiPage.c"
	}
}

static void
__lambda26_ (Block11Data* _data11_,
             gint response)
{
	NetworkWifiInterface* self;
#line 609 "../src/Views/WifiPage.vala"
	self = _data11_->self;
#line 610 "../src/Views/WifiPage.vala"
	if (response == ((gint) GTK_RESPONSE_OK)) {
#line 611 "../src/Views/WifiPage.vala"
		network_wifi_interface_connect_to_network (self, _data11_->hidden_dialog, NULL, NULL);
#line 2850 "WifiPage.c"
	}
#line 613 "../src/Views/WifiPage.vala"
	gtk_window_destroy ((GtkWindow*) _data11_->hidden_dialog);
#line 2854 "WifiPage.c"
}

static void
___lambda26__gtk_dialog_response (GtkDialog* _sender,
                                  gint response_id,
                                  gpointer self)
{
#line 609 "../src/Views/WifiPage.vala"
	__lambda26_ (self, response_id);
#line 2864 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_hidden (NetworkWifiInterface* self)
{
	Block11Data* _data11_;
	NetworkNetworkManager* network_manager = NULL;
	NetworkNetworkManager* _tmp0_;
	NMClient* _tmp1_;
	NMClient* _tmp2_;
	GtkRoot* _tmp3_;
	GtkWindow* _tmp4_;
	NMAWifiDialog* _tmp5_ = NULL;
#line 599 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 599 "../src/Views/WifiPage.vala"
	_data11_ = g_slice_new0 (Block11Data);
#line 599 "../src/Views/WifiPage.vala"
	_data11_->_ref_count_ = 1;
#line 599 "../src/Views/WifiPage.vala"
	_data11_->self = g_object_ref (self);
#line 600 "../src/Views/WifiPage.vala"
	_tmp0_ = network_network_manager_get_default ();
#line 600 "../src/Views/WifiPage.vala"
	network_manager = _tmp0_;
#line 602 "../src/Views/WifiPage.vala"
	_tmp1_ = network_network_manager_get_client (network_manager);
#line 602 "../src/Views/WifiPage.vala"
	_tmp2_ = _tmp1_;
#line 602 "../src/Views/WifiPage.vala"
	_tmp3_ = gtk_widget_get_root ((GtkWidget*) self);
#line 602 "../src/Views/WifiPage.vala"
	_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_window_get_type (), GtkWindow));
#line 602 "../src/Views/WifiPage.vala"
	_tmp5_ = (NMAWifiDialog*) nma_wifi_dialog_new_for_other (_tmp2_);
#line 602 "../src/Views/WifiPage.vala"
	gtk_window_set_deletable ((GtkWindow*) _tmp5_, FALSE);
#line 602 "../src/Views/WifiPage.vala"
	gtk_window_set_modal ((GtkWindow*) _tmp5_, TRUE);
#line 602 "../src/Views/WifiPage.vala"
	gtk_window_set_transient_for ((GtkWindow*) _tmp5_, _tmp4_);
#line 602 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp4_);
#line 602 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp5_);
#line 602 "../src/Views/WifiPage.vala"
	_data11_->hidden_dialog = _tmp5_;
#line 607 "../src/Views/WifiPage.vala"
	gtk_window_present ((GtkWindow*) _data11_->hidden_dialog);
#line 609 "../src/Views/WifiPage.vala"
	g_signal_connect_data ((GtkDialog*) _data11_->hidden_dialog, "response", (GCallback) ___lambda26__gtk_dialog_response, block11_data_ref (_data11_), (GClosureNotify) block11_data_unref, 0);
#line 599 "../src/Views/WifiPage.vala"
	block11_data_unref (_data11_);
#line 599 "../src/Views/WifiPage.vala"
	_data11_ = NULL;
#line 2920 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_network_data_free (gpointer _data)
{
	NetworkWifiInterfaceConnectToNetworkData* _data_;
	_data_ = _data;
#line 7 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->wifi_dialog);
#line 7 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->self);
#line 7 "../src/Views/WifiPage.vala"
	g_slice_free (NetworkWifiInterfaceConnectToNetworkData, _data_);
#line 2934 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_network (NetworkWifiInterface* self,
                                           NMAWifiDialog* wifi_dialog,
                                           GAsyncReadyCallback _callback_,
                                           gpointer _user_data_)
{
	NetworkWifiInterfaceConnectToNetworkData* _data_;
	NetworkWifiInterface* _tmp0_;
	NMAWifiDialog* _tmp1_;
#line 7 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 7 "../src/Views/WifiPage.vala"
	g_return_if_fail (wifi_dialog != NULL);
#line 7 "../src/Views/WifiPage.vala"
	_data_ = g_slice_new0 (NetworkWifiInterfaceConnectToNetworkData);
#line 7 "../src/Views/WifiPage.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 7 "../src/Views/WifiPage.vala"
	g_task_set_task_data (_data_->_async_result, _data_, network_wifi_interface_connect_to_network_data_free);
#line 7 "../src/Views/WifiPage.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 7 "../src/Views/WifiPage.vala"
	_data_->self = _tmp0_;
#line 7 "../src/Views/WifiPage.vala"
	_tmp1_ = _g_object_ref0 (wifi_dialog);
#line 7 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->wifi_dialog);
#line 7 "../src/Views/WifiPage.vala"
	_data_->wifi_dialog = _tmp1_;
#line 7 "../src/Views/WifiPage.vala"
	network_wifi_interface_connect_to_network_co (_data_);
#line 2968 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_network_finish (NetworkWifiInterface* self,
                                                  GAsyncResult* _res_)
{
	NetworkWifiInterfaceConnectToNetworkData* _data_;
#line 7 "../src/Views/WifiPage.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 2978 "WifiPage.c"
}

static Block12Data*
block12_data_ref (Block12Data* _data12_)
{
#line 617 "../src/Views/WifiPage.vala"
	g_atomic_int_inc (&_data12_->_ref_count_);
#line 617 "../src/Views/WifiPage.vala"
	return _data12_;
#line 2988 "WifiPage.c"
}

static void
block12_data_unref (void * _userdata_)
{
	Block12Data* _data12_;
	_data12_ = (Block12Data*) _userdata_;
#line 617 "../src/Views/WifiPage.vala"
	if (g_atomic_int_dec_and_test (&_data12_->_ref_count_)) {
#line 2998 "WifiPage.c"
		NetworkWifiInterface* self;
#line 617 "../src/Views/WifiPage.vala"
		self = _data12_->self;
#line 617 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data12_->dialog_connection);
#line 617 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data12_->fuzzy);
#line 617 "../src/Views/WifiPage.vala"
		_g_object_unref0 (self);
#line 617 "../src/Views/WifiPage.vala"
		g_slice_free (Block12Data, _data12_);
#line 3010 "WifiPage.c"
	}
}

static void
__lambda21_ (Block12Data* _data12_,
             NMRemoteConnection* possible)
{
	NetworkWifiInterface* self;
	NMConnection* _tmp0_;
#line 625 "../src/Views/WifiPage.vala"
	self = _data12_->self;
#line 625 "../src/Views/WifiPage.vala"
	g_return_if_fail (possible != NULL);
#line 626 "../src/Views/WifiPage.vala"
	_tmp0_ = _data12_->dialog_connection;
#line 626 "../src/Views/WifiPage.vala"
	if (nm_connection_compare (_tmp0_, (NMConnection*) possible, NM_SETTING_COMPARE_FLAG_FUZZY | NM_SETTING_COMPARE_FLAG_IGNORE_ID)) {
#line 3028 "WifiPage.c"
		NMConnection* _tmp1_;
#line 627 "../src/Views/WifiPage.vala"
		_tmp1_ = _g_object_ref0 ((NMConnection*) possible);
#line 627 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data12_->fuzzy);
#line 627 "../src/Views/WifiPage.vala"
		_data12_->fuzzy = _tmp1_;
#line 3036 "WifiPage.c"
	}
}

static void
___lambda21__gfunc (gconstpointer data,
                    gpointer self)
{
#line 625 "../src/Views/WifiPage.vala"
	__lambda21_ (self, (NMRemoteConnection*) data);
#line 3046 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_network_ready (GObject* source_object,
                                                 GAsyncResult* _res_,
                                                 gpointer _user_data_)
{
	NetworkWifiInterfaceConnectToNetworkData* _data_;
#line 638 "../src/Views/WifiPage.vala"
	_data_ = _user_data_;
#line 638 "../src/Views/WifiPage.vala"
	_data_->_source_object_ = source_object;
#line 638 "../src/Views/WifiPage.vala"
	_data_->_res_ = _res_;
#line 638 "../src/Views/WifiPage.vala"
	network_wifi_interface_connect_to_network_co (_data_);
#line 3063 "WifiPage.c"
}

static gboolean
network_wifi_interface_connect_to_network_co (NetworkWifiInterfaceConnectToNetworkData* _data_)
{
#line 617 "../src/Views/WifiPage.vala"
	switch (_data_->_state_) {
#line 617 "../src/Views/WifiPage.vala"
		case 0:
#line 3073 "WifiPage.c"
		goto _state_0;
#line 617 "../src/Views/WifiPage.vala"
		case 1:
#line 3077 "WifiPage.c"
		goto _state_1;
#line 617 "../src/Views/WifiPage.vala"
		case 2:
#line 3081 "WifiPage.c"
		goto _state_2;
		default:
#line 617 "../src/Views/WifiPage.vala"
		g_assert_not_reached ();
#line 3086 "WifiPage.c"
	}
	_state_0:
#line 617 "../src/Views/WifiPage.vala"
	_data_->_data12_ = g_slice_new0 (Block12Data);
#line 617 "../src/Views/WifiPage.vala"
	_data_->_data12_->_ref_count_ = 1;
#line 617 "../src/Views/WifiPage.vala"
	_data_->_data12_->self = g_object_ref (_data_->self);
#line 617 "../src/Views/WifiPage.vala"
	_data_->_data12_->_async_data_ = _data_;
#line 618 "../src/Views/WifiPage.vala"
	_data_->_data12_->fuzzy = NULL;
#line 620 "../src/Views/WifiPage.vala"
	_data_->dialog_ap = NULL;
#line 621 "../src/Views/WifiPage.vala"
	_data_->_tmp0_ = NULL;
#line 621 "../src/Views/WifiPage.vala"
	_data_->_tmp1_ = NULL;
#line 621 "../src/Views/WifiPage.vala"
	_data_->_tmp2_ = nma_wifi_dialog_get_connection (_data_->wifi_dialog, &_data_->_tmp0_, &_data_->_tmp1_);
#line 621 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->dialog_device);
#line 621 "../src/Views/WifiPage.vala"
	_data_->dialog_device = _data_->_tmp0_;
#line 621 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->dialog_ap);
#line 621 "../src/Views/WifiPage.vala"
	_data_->dialog_ap = _data_->_tmp1_;
#line 621 "../src/Views/WifiPage.vala"
	_data_->_data12_->dialog_connection = _data_->_tmp2_;
#line 623 "../src/Views/WifiPage.vala"
	_data_->_tmp3_ = network_network_manager_get_default ();
#line 623 "../src/Views/WifiPage.vala"
	_data_->network_manager = _data_->_tmp3_;
#line 624 "../src/Views/WifiPage.vala"
	_data_->_tmp4_ = _data_->network_manager;
#line 624 "../src/Views/WifiPage.vala"
	_data_->_tmp5_ = network_network_manager_get_client (_data_->_tmp4_);
#line 624 "../src/Views/WifiPage.vala"
	_data_->_tmp6_ = _data_->_tmp5_;
#line 624 "../src/Views/WifiPage.vala"
	_data_->client = _data_->_tmp6_;
#line 625 "../src/Views/WifiPage.vala"
	_data_->_tmp7_ = _data_->client;
#line 625 "../src/Views/WifiPage.vala"
	_data_->_tmp8_ = nm_client_get_connections (_data_->_tmp7_);
#line 625 "../src/Views/WifiPage.vala"
	g_ptr_array_foreach (_data_->_tmp8_, ___lambda21__gfunc, _data_->_data12_);
#line 631 "../src/Views/WifiPage.vala"
	_data_->path = NULL;
#line 632 "../src/Views/WifiPage.vala"
	_data_->_tmp9_ = _data_->dialog_ap;
#line 632 "../src/Views/WifiPage.vala"
	if (_data_->_tmp9_ != NULL) {
#line 633 "../src/Views/WifiPage.vala"
		_data_->_tmp10_ = _data_->dialog_ap;
#line 633 "../src/Views/WifiPage.vala"
		_data_->_tmp11_ = nm_object_get_path ((NMObject*) _data_->_tmp10_);
#line 633 "../src/Views/WifiPage.vala"
		_data_->_tmp12_ = g_strdup (_data_->_tmp11_);
#line 633 "../src/Views/WifiPage.vala"
		_g_free0 (_data_->path);
#line 633 "../src/Views/WifiPage.vala"
		_data_->path = _data_->_tmp12_;
#line 3151 "WifiPage.c"
	}
#line 636 "../src/Views/WifiPage.vala"
	_data_->_tmp13_ = _data_->_data12_->fuzzy;
#line 636 "../src/Views/WifiPage.vala"
	if (_data_->_tmp13_ != NULL) {
#line 3157 "WifiPage.c"
		{
#line 638 "../src/Views/WifiPage.vala"
			_data_->_tmp14_ = _data_->client;
#line 638 "../src/Views/WifiPage.vala"
			_data_->_tmp15_ = _data_->_data12_->fuzzy;
#line 638 "../src/Views/WifiPage.vala"
			_data_->_tmp16_ = _data_->self->wifi_device;
#line 638 "../src/Views/WifiPage.vala"
			_data_->_tmp17_ = _data_->path;
#line 638 "../src/Views/WifiPage.vala"
			_data_->_state_ = 1;
#line 638 "../src/Views/WifiPage.vala"
			nm_client_activate_connection_async (_data_->_tmp14_, _data_->_tmp15_, (NMDevice*) _data_->_tmp16_, _data_->_tmp17_, NULL, network_wifi_interface_connect_to_network_ready, _data_);
#line 638 "../src/Views/WifiPage.vala"
			return FALSE;
#line 3173 "WifiPage.c"
			_state_1:
#line 638 "../src/Views/WifiPage.vala"
			_data_->_tmp18_ = nm_client_activate_connection_finish (_data_->_tmp14_, _data_->_res_, &_data_->_inner_error0_);
#line 638 "../src/Views/WifiPage.vala"
			_data_->_tmp19_ = _data_->_tmp18_;
#line 638 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->_tmp19_);
#line 638 "../src/Views/WifiPage.vala"
			if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 3183 "WifiPage.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
#line 637 "../src/Views/WifiPage.vala"
			_data_->_error_ = _data_->_inner_error0_;
#line 637 "../src/Views/WifiPage.vala"
			_data_->_inner_error0_ = NULL;
#line 640 "../src/Views/WifiPage.vala"
			_data_->_tmp20_ = _data_->_error_;
#line 640 "../src/Views/WifiPage.vala"
			_data_->_tmp21_ = _data_->_tmp20_->message;
#line 640 "../src/Views/WifiPage.vala"
			g_critical ("WifiPage.vala:640: %s", _data_->_tmp21_);
#line 637 "../src/Views/WifiPage.vala"
			_g_error_free0 (_data_->_error_);
#line 3202 "WifiPage.c"
		}
		__finally0:
#line 637 "../src/Views/WifiPage.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 637 "../src/Views/WifiPage.vala"
			_g_free0 (_data_->path);
#line 637 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->dialog_ap);
#line 637 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->dialog_device);
#line 637 "../src/Views/WifiPage.vala"
			block12_data_unref (_data_->_data12_);
#line 637 "../src/Views/WifiPage.vala"
			_data_->_data12_ = NULL;
#line 637 "../src/Views/WifiPage.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 637 "../src/Views/WifiPage.vala"
			g_clear_error (&_data_->_inner_error0_);
#line 637 "../src/Views/WifiPage.vala"
			g_object_unref (_data_->_async_result);
#line 637 "../src/Views/WifiPage.vala"
			return FALSE;
#line 3225 "WifiPage.c"
		}
	} else {
#line 643 "../src/Views/WifiPage.vala"
		_data_->mode = NULL;
#line 644 "../src/Views/WifiPage.vala"
		_data_->_tmp22_ = _data_->_data12_->dialog_connection;
#line 644 "../src/Views/WifiPage.vala"
		_data_->_tmp23_ = nm_connection_get_setting_wireless (_data_->_tmp22_);
#line 644 "../src/Views/WifiPage.vala"
		_data_->setting_wireless = _data_->_tmp23_;
#line 645 "../src/Views/WifiPage.vala"
		_data_->_tmp24_ = _data_->setting_wireless;
#line 645 "../src/Views/WifiPage.vala"
		if (_data_->_tmp24_ != NULL) {
#line 646 "../src/Views/WifiPage.vala"
			_data_->_tmp25_ = _data_->setting_wireless;
#line 646 "../src/Views/WifiPage.vala"
			_data_->_tmp26_ = nm_setting_wireless_get_mode (_data_->_tmp25_);
#line 646 "../src/Views/WifiPage.vala"
			_data_->_tmp27_ = g_strdup (_data_->_tmp26_);
#line 646 "../src/Views/WifiPage.vala"
			_g_free0 (_data_->mode);
#line 646 "../src/Views/WifiPage.vala"
			_data_->mode = _data_->_tmp27_;
#line 3250 "WifiPage.c"
		}
#line 649 "../src/Views/WifiPage.vala"
		_data_->_tmp28_ = _data_->mode;
#line 649 "../src/Views/WifiPage.vala"
		if (g_strcmp0 (_data_->_tmp28_, "adhoc") == 0) {
#line 650 "../src/Views/WifiPage.vala"
			_data_->_tmp29_ = _data_->_data12_->dialog_connection;
#line 650 "../src/Views/WifiPage.vala"
			_data_->_tmp30_ = nm_connection_get_setting_connection (_data_->_tmp29_);
#line 650 "../src/Views/WifiPage.vala"
			_data_->_tmp31_ = _g_object_ref0 (_data_->_tmp30_);
#line 650 "../src/Views/WifiPage.vala"
			_data_->connection_setting = _data_->_tmp31_;
#line 651 "../src/Views/WifiPage.vala"
			_data_->_tmp32_ = _data_->connection_setting;
#line 651 "../src/Views/WifiPage.vala"
			if (_data_->_tmp32_ == NULL) {
#line 652 "../src/Views/WifiPage.vala"
				_data_->_tmp33_ = (NMSettingConnection*) nm_setting_connection_new ();
#line 652 "../src/Views/WifiPage.vala"
				_g_object_unref0 (_data_->connection_setting);
#line 652 "../src/Views/WifiPage.vala"
				_data_->connection_setting = _data_->_tmp33_;
#line 3274 "WifiPage.c"
			}
#line 655 "../src/Views/WifiPage.vala"
			_data_->_tmp34_ = _data_->_data12_->dialog_connection;
#line 655 "../src/Views/WifiPage.vala"
			_data_->_tmp35_ = _data_->connection_setting;
#line 655 "../src/Views/WifiPage.vala"
			_data_->_tmp36_ = _g_object_ref0 ((NMSetting*) _data_->_tmp35_);
#line 655 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_data_->_tmp34_, _data_->_tmp36_);
#line 649 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->connection_setting);
#line 3286 "WifiPage.c"
		}
		{
#line 659 "../src/Views/WifiPage.vala"
			_data_->_tmp37_ = _data_->client;
#line 659 "../src/Views/WifiPage.vala"
			_data_->_tmp38_ = _data_->_data12_->dialog_connection;
#line 659 "../src/Views/WifiPage.vala"
			_data_->_tmp39_ = _data_->dialog_device;
#line 659 "../src/Views/WifiPage.vala"
			_data_->_tmp40_ = _data_->path;
#line 659 "../src/Views/WifiPage.vala"
			_data_->_state_ = 2;
#line 659 "../src/Views/WifiPage.vala"
			nm_client_add_and_activate_connection_async (_data_->_tmp37_, _data_->_tmp38_, _data_->_tmp39_, _data_->_tmp40_, NULL, network_wifi_interface_connect_to_network_ready, _data_);
#line 659 "../src/Views/WifiPage.vala"
			return FALSE;
#line 3303 "WifiPage.c"
			_state_2:
#line 659 "../src/Views/WifiPage.vala"
			_data_->_tmp41_ = nm_client_add_and_activate_connection_finish (_data_->_tmp37_, _data_->_res_, &_data_->_inner_error0_);
#line 659 "../src/Views/WifiPage.vala"
			_data_->_tmp42_ = _data_->_tmp41_;
#line 659 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->_tmp42_);
#line 659 "../src/Views/WifiPage.vala"
			if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 3313 "WifiPage.c"
				goto __catch1_g_error;
			}
		}
		goto __finally1;
		__catch1_g_error:
		{
#line 658 "../src/Views/WifiPage.vala"
			_data_->_vala1__error_ = _data_->_inner_error0_;
#line 658 "../src/Views/WifiPage.vala"
			_data_->_inner_error0_ = NULL;
#line 661 "../src/Views/WifiPage.vala"
			_data_->_tmp43_ = _data_->_vala1__error_;
#line 661 "../src/Views/WifiPage.vala"
			_data_->_tmp44_ = _data_->_tmp43_->message;
#line 661 "../src/Views/WifiPage.vala"
			g_critical ("WifiPage.vala:661: %s", _data_->_tmp44_);
#line 658 "../src/Views/WifiPage.vala"
			_g_error_free0 (_data_->_vala1__error_);
#line 3332 "WifiPage.c"
		}
		__finally1:
#line 658 "../src/Views/WifiPage.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 658 "../src/Views/WifiPage.vala"
			_g_free0 (_data_->mode);
#line 658 "../src/Views/WifiPage.vala"
			_g_free0 (_data_->path);
#line 658 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->dialog_ap);
#line 658 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->dialog_device);
#line 658 "../src/Views/WifiPage.vala"
			block12_data_unref (_data_->_data12_);
#line 658 "../src/Views/WifiPage.vala"
			_data_->_data12_ = NULL;
#line 658 "../src/Views/WifiPage.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 658 "../src/Views/WifiPage.vala"
			g_clear_error (&_data_->_inner_error0_);
#line 658 "../src/Views/WifiPage.vala"
			g_object_unref (_data_->_async_result);
#line 658 "../src/Views/WifiPage.vala"
			return FALSE;
#line 3357 "WifiPage.c"
		}
#line 636 "../src/Views/WifiPage.vala"
		_g_free0 (_data_->mode);
#line 3361 "WifiPage.c"
	}
#line 617 "../src/Views/WifiPage.vala"
	_g_free0 (_data_->path);
#line 617 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->dialog_ap);
#line 617 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->dialog_device);
#line 617 "../src/Views/WifiPage.vala"
	block12_data_unref (_data_->_data12_);
#line 617 "../src/Views/WifiPage.vala"
	_data_->_data12_ = NULL;
#line 617 "../src/Views/WifiPage.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 617 "../src/Views/WifiPage.vala"
	if (_data_->_state_ != 0) {
#line 617 "../src/Views/WifiPage.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 617 "../src/Views/WifiPage.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3381 "WifiPage.c"
		}
	}
#line 617 "../src/Views/WifiPage.vala"
	g_object_unref (_data_->_async_result);
#line 617 "../src/Views/WifiPage.vala"
	return FALSE;
#line 3388 "WifiPage.c"
}

static void
network_wifi_interface_cancel_scan (NetworkWifiInterface* self)
{
#line 666 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 667 "../src/Views/WifiPage.vala"
	if (self->priv->timeout_scan > ((guint) 0)) {
#line 668 "../src/Views/WifiPage.vala"
		g_source_remove (self->priv->timeout_scan);
#line 669 "../src/Views/WifiPage.vala"
		self->priv->timeout_scan = (guint) 0;
#line 3402 "WifiPage.c"
	}
}

static gboolean
___lambda24_ (NetworkWifiInterface* self)
{
	NMDeviceWifi* _tmp0_;
	GtkStack* _tmp1_;
	gboolean result;
#line 680 "../src/Views/WifiPage.vala"
	_tmp0_ = self->wifi_device;
#line 680 "../src/Views/WifiPage.vala"
	if (network_utils_get_device_is_hotspot (_tmp0_)) {
#line 681 "../src/Views/WifiPage.vala"
		result = FALSE;
#line 681 "../src/Views/WifiPage.vala"
		return result;
#line 3420 "WifiPage.c"
	}
#line 684 "../src/Views/WifiPage.vala"
	self->priv->timeout_scan = (guint) 0;
#line 685 "../src/Views/WifiPage.vala"
	_tmp1_ = self->priv->placeholder;
#line 685 "../src/Views/WifiPage.vala"
	gtk_stack_set_visible_child_name (_tmp1_, "no-aps");
#line 686 "../src/Views/WifiPage.vala"
	result = FALSE;
#line 686 "../src/Views/WifiPage.vala"
	return result;
#line 3432 "WifiPage.c"
}

static gboolean
____lambda24__gsource_func (gpointer self)
{
	gboolean result;
	result = ___lambda24_ ((NetworkWifiInterface*) self);
#line 679 "../src/Views/WifiPage.vala"
	return result;
#line 3442 "WifiPage.c"
}

static void
network_wifi_interface_set_scan_placeholder (NetworkWifiInterface* self)
{
	NMDeviceState _tmp0_;
	NMDeviceState _tmp1_;
#line 673 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 675 "../src/Views/WifiPage.vala"
	_tmp0_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 675 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 675 "../src/Views/WifiPage.vala"
	if (_tmp1_ == NM_DEVICE_STATE_DISCONNECTED) {
#line 3458 "WifiPage.c"
		GtkStack* _tmp2_;
		NMDeviceWifi* _tmp3_;
#line 676 "../src/Views/WifiPage.vala"
		_tmp2_ = self->priv->placeholder;
#line 676 "../src/Views/WifiPage.vala"
		gtk_stack_set_visible_child_name (_tmp2_, "scanning");
#line 677 "../src/Views/WifiPage.vala"
		network_wifi_interface_cancel_scan (self);
#line 678 "../src/Views/WifiPage.vala"
		_tmp3_ = self->wifi_device;
#line 678 "../src/Views/WifiPage.vala"
		nm_device_wifi_request_scan_async (_tmp3_, NULL, NULL, NULL);
#line 679 "../src/Views/WifiPage.vala"
		self->priv->timeout_scan = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 5000, ____lambda24__gsource_func, g_object_ref (self), g_object_unref);
#line 3473 "WifiPage.c"
	}
}

static gint
network_wifi_interface_sort_func (NetworkWifiInterface* self,
                                  GtkListBoxRow* r1,
                                  GtkListBoxRow* r2)
{
	gboolean _tmp0_ = FALSE;
	NMAccessPoint* _tmp1_;
	NMAccessPoint* _tmp2_;
	guint8 _tmp3_;
	guint8 _tmp4_;
	NMAccessPoint* _tmp5_;
	NMAccessPoint* _tmp6_;
	guint8 _tmp7_;
	guint8 _tmp8_;
	gint result;
#line 691 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 691 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (r1 != NULL, 0);
#line 691 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (r2 != NULL, 0);
#line 692 "../src/Views/WifiPage.vala"
	if (r1 == NULL) {
#line 692 "../src/Views/WifiPage.vala"
		_tmp0_ = TRUE;
#line 3502 "WifiPage.c"
	} else {
#line 692 "../src/Views/WifiPage.vala"
		_tmp0_ = r2 == NULL;
#line 3506 "WifiPage.c"
	}
#line 692 "../src/Views/WifiPage.vala"
	if (_tmp0_) {
#line 693 "../src/Views/WifiPage.vala"
		result = 0;
#line 693 "../src/Views/WifiPage.vala"
		return result;
#line 3514 "WifiPage.c"
	}
#line 696 "../src/Views/WifiPage.vala"
	_tmp1_ = network_wifi_menu_item_get_ap (G_TYPE_CHECK_INSTANCE_CAST (r2, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 696 "../src/Views/WifiPage.vala"
	_tmp2_ = _tmp1_;
#line 696 "../src/Views/WifiPage.vala"
	_tmp3_ = nm_access_point_get_strength (_tmp2_);
#line 696 "../src/Views/WifiPage.vala"
	_tmp4_ = _tmp3_;
#line 696 "../src/Views/WifiPage.vala"
	_tmp5_ = network_wifi_menu_item_get_ap (G_TYPE_CHECK_INSTANCE_CAST (r1, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 696 "../src/Views/WifiPage.vala"
	_tmp6_ = _tmp5_;
#line 696 "../src/Views/WifiPage.vala"
	_tmp7_ = nm_access_point_get_strength (_tmp6_);
#line 696 "../src/Views/WifiPage.vala"
	_tmp8_ = _tmp7_;
#line 696 "../src/Views/WifiPage.vala"
	result = (gint) (_tmp4_ - _tmp8_);
#line 696 "../src/Views/WifiPage.vala"
	return result;
#line 3536 "WifiPage.c"
}

static NetworkWifiMenuItem*
network_wifi_interface_get_active_wifi_item (NetworkWifiInterface* self)
{
	NetworkWifiMenuItem* result;
	NetworkWifiMenuItem* _tmp0_;
#line 14 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 14 "../src/Views/WifiPage.vala"
	_tmp0_ = self->priv->_active_wifi_item;
#line 14 "../src/Views/WifiPage.vala"
	result = _tmp0_;
#line 14 "../src/Views/WifiPage.vala"
	return result;
#line 3552 "WifiPage.c"
}

static void
network_wifi_interface_set_active_wifi_item (NetworkWifiInterface* self,
                                             NetworkWifiMenuItem* value)
{
	NetworkWifiMenuItem* _tmp0_;
#line 14 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 14 "../src/Views/WifiPage.vala"
	_tmp0_ = _g_object_ref0 (value);
#line 14 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->_active_wifi_item);
#line 14 "../src/Views/WifiPage.vala"
	self->priv->_active_wifi_item = _tmp0_;
#line 3568 "WifiPage.c"
}

static gint
_network_wifi_interface_sort_func_gtk_list_box_sort_func (GtkListBoxRow* row1,
                                                          GtkListBoxRow* row2,
                                                          gpointer self)
{
	gint result;
	result = network_wifi_interface_sort_func ((NetworkWifiInterface*) self, row1, row2);
#line 54 "../src/Views/WifiPage.vala"
	return result;
#line 3580 "WifiPage.c"
}

static void
_network_widgets_page_edit_connections_gtk_button_clicked (GtkButton* _sender,
                                                           gpointer self)
{
#line 97 "../src/Views/WifiPage.vala"
	network_widgets_page_edit_connections ((NetworkWidgetsPage*) self);
#line 3589 "WifiPage.c"
}

static void
_network_wifi_interface_connect_to_hidden_gtk_button_clicked (GtkButton* _sender,
                                                              gpointer self)
{
#line 100 "../src/Views/WifiPage.vala"
	network_wifi_interface_connect_to_hidden ((NetworkWifiInterface*) self);
#line 3598 "WifiPage.c"
}

static void
_network_widgets_page_update_rf_kill_manager_device_added (RFKillManager* _sender,
                                                           RFKillDevice* device,
                                                           gpointer self)
{
#line 144 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3608 "WifiPage.c"
}

static void
_network_widgets_page_update_rf_kill_manager_device_changed (RFKillManager* _sender,
                                                             RFKillDevice* device,
                                                             gpointer self)
{
#line 145 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3618 "WifiPage.c"
}

static void
_network_widgets_page_update_rf_kill_manager_device_deleted (RFKillManager* _sender,
                                                             RFKillDevice* device,
                                                             gpointer self)
{
#line 146 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3628 "WifiPage.c"
}

static void
_network_widgets_page_update_g_object_notify (GObject* _sender,
                                              GParamSpec* pspec,
                                              gpointer self)
{
#line 148 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3638 "WifiPage.c"
}

static void
_network_wifi_interface_access_point_added_cb_nm_device_wifi_access_point_added (NMDeviceWifi* _sender,
                                                                                 GObject* ap,
                                                                                 gpointer self)
{
#line 149 "../src/Views/WifiPage.vala"
	network_wifi_interface_access_point_added_cb ((NetworkWifiInterface*) self, ap);
#line 3648 "WifiPage.c"
}

static void
_network_wifi_interface_access_point_removed_cb_nm_device_wifi_access_point_removed (NMDeviceWifi* _sender,
                                                                                     GObject* ap,
                                                                                     gpointer self)
{
#line 150 "../src/Views/WifiPage.vala"
	network_wifi_interface_access_point_removed_cb ((NetworkWifiInterface*) self, ap);
#line 3658 "WifiPage.c"
}

static void
_network_widgets_page_update_nm_device_state_changed (NMDevice* _sender,
                                                      guint new_state,
                                                      guint old_state,
                                                      guint reason,
                                                      gpointer self)
{
#line 151 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3670 "WifiPage.c"
}

static void
_network_wifi_interface_access_point_added_cb_gfunc (gconstpointer data,
                                                     gpointer self)
{
#line 155 "../src/Views/WifiPage.vala"
	network_wifi_interface_access_point_added_cb ((NetworkWifiInterface*) self, (GObject*) data);
#line 3679 "WifiPage.c"
}

static GObject *
network_wifi_interface_constructor (GType type,
                                    guint n_construct_properties,
                                    GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	NetworkWifiInterface * self;
	GThemedIcon* _tmp0_;
	GThemedIcon* _tmp1_;
	GtkStack* _tmp2_ = NULL;
	GtkListBox* _tmp3_ = NULL;
	GtkListBox* _tmp4_;
	GtkListBox* _tmp5_;
	GtkStack* _tmp6_;
	GtkListBox* _tmp7_;
	GranitePlaceholder* hotspot_mode_alert = NULL;
	gchar* _tmp8_;
	GranitePlaceholder* _tmp9_ = NULL;
	GtkListBox* _tmp10_;
	GtkWidget* _tmp11_;
	GtkScrolledWindow* _tmp12_ = NULL;
	GtkStack* _tmp13_;
	GtkStack* _tmp14_;
	GranitePlaceholder* _tmp15_;
	GtkStack* _tmp16_;
	GtkScrolledWindow* _tmp17_;
	GtkStack* _tmp18_;
	GtkScrolledWindow* _tmp19_;
	GtkFrame* main_frame = NULL;
	GtkStack* _tmp20_;
	GtkWidget* _tmp21_;
	GtkFrame* _tmp22_ = NULL;
	GtkFrame* _tmp23_;
	NetworkWidgetsInfoBox* _tmp24_;
	NetworkWidgetsInfoBox* _tmp25_;
	NetworkWidgetsInfoBox* _tmp26_;
	NetworkWidgetsInfoBox* _tmp27_;
	NetworkWidgetsInfoBox* _tmp28_;
	GtkWidget* _tmp29_;
	GtkPopover* _tmp30_ = NULL;
	GtkFrame* _tmp31_ = NULL;
	GtkFrame* _tmp32_;
	GtkWidget* _tmp33_;
	GtkRevealer* _tmp34_ = NULL;
	GtkButton* settings_button = NULL;
	GtkButton* _tmp35_;
	GtkButton* _tmp36_;
	GtkButton* _tmp37_;
	GtkButton* _tmp38_;
	NMDevice* _tmp39_;
	NMDevice* _tmp40_;
	NMDeviceWifi* _tmp41_;
	GranitePlaceholder* no_aps_alert = NULL;
	gchar* _tmp42_;
	GranitePlaceholder* _tmp43_ = NULL;
	GranitePlaceholder* wireless_off_alert = NULL;
	gchar* _tmp44_;
	GranitePlaceholder* _tmp45_ = NULL;
	GtkSpinner* spinner = NULL;
	GtkSpinner* _tmp46_ = NULL;
	GtkSpinner* _tmp47_;
	GtkLabel* scanning = NULL;
	GtkLabel* _tmp48_ = NULL;
	GtkLabel* _tmp49_;
	GtkBox* scanning_box = NULL;
	GtkBox* _tmp50_ = NULL;
	GtkBox* _tmp51_;
	GtkLabel* _tmp52_;
	GtkBox* _tmp53_;
	GtkSpinner* _tmp54_;
	GtkStack* _tmp55_;
	GranitePlaceholder* _tmp56_;
	GtkStack* _tmp57_;
	GranitePlaceholder* _tmp58_;
	GtkStack* _tmp59_;
	GtkBox* _tmp60_;
	GtkStack* _tmp61_;
	RFKillManager* _tmp62_;
	RFKillManager* _tmp63_;
	RFKillManager* _tmp64_;
	RFKillManager* _tmp65_;
	RFKillManager* _tmp66_;
	NMDeviceWifi* _tmp67_;
	NMDeviceWifi* _tmp68_;
	NMDeviceWifi* _tmp69_;
	NMDeviceWifi* _tmp70_;
	GPtrArray* aps = NULL;
	NMDeviceWifi* _tmp71_;
	GPtrArray* _tmp72_;
	GPtrArray* _tmp73_;
	gboolean _tmp74_ = FALSE;
	GPtrArray* _tmp75_;
	GtkBox* content_box = NULL;
	GtkBox* _tmp80_;
	GtkBox* _tmp81_;
	GtkRevealer* _tmp82_;
	GtkBox* _tmp83_;
	GtkFrame* _tmp84_;
	GtkBox* _tmp85_;
#line 42 "../src/Views/WifiPage.vala"
	parent_class = G_OBJECT_CLASS (network_wifi_interface_parent_class);
#line 42 "../src/Views/WifiPage.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 42 "../src/Views/WifiPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_WIFI_INTERFACE, NetworkWifiInterface);
#line 43 "../src/Views/WifiPage.vala"
	_tmp0_ = (GThemedIcon*) g_themed_icon_new ("network-wireless");
#line 43 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 43 "../src/Views/WifiPage.vala"
	switchboard_settings_page_set_icon ((SwitchboardSettingsPage*) self, (GIcon*) _tmp1_);
#line 43 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp1_);
#line 45 "../src/Views/WifiPage.vala"
	_tmp2_ = (GtkStack*) gtk_stack_new ();
#line 45 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp2_, TRUE);
#line 45 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp2_);
#line 45 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->placeholder);
#line 45 "../src/Views/WifiPage.vala"
	self->priv->placeholder = _tmp2_;
#line 49 "../src/Views/WifiPage.vala"
	_tmp3_ = (GtkListBox*) gtk_list_box_new ();
#line 49 "../src/Views/WifiPage.vala"
	gtk_list_box_set_activate_on_single_click (_tmp3_, FALSE);
#line 49 "../src/Views/WifiPage.vala"
	gtk_list_box_set_selection_mode (_tmp3_, GTK_SELECTION_SINGLE);
#line 49 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp3_, TRUE);
#line 49 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp3_);
#line 49 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->wifi_list);
#line 49 "../src/Views/WifiPage.vala"
	self->priv->wifi_list = _tmp3_;
#line 54 "../src/Views/WifiPage.vala"
	_tmp4_ = self->priv->wifi_list;
#line 54 "../src/Views/WifiPage.vala"
	gtk_list_box_set_sort_func (_tmp4_, _network_wifi_interface_sort_func_gtk_list_box_sort_func, g_object_ref (self), g_object_unref);
#line 55 "../src/Views/WifiPage.vala"
	_tmp5_ = self->priv->wifi_list;
#line 55 "../src/Views/WifiPage.vala"
	_tmp6_ = self->priv->placeholder;
#line 55 "../src/Views/WifiPage.vala"
	gtk_list_box_set_placeholder (_tmp5_, (GtkWidget*) _tmp6_);
#line 56 "../src/Views/WifiPage.vala"
	_tmp7_ = self->priv->wifi_list;
#line 56 "../src/Views/WifiPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp7_, GRANITE_STYLE_CLASS_RICH_LIST);
#line 58 "../src/Views/WifiPage.vala"
	_tmp8_ = g_strdup (_ ("Turn off the Hotspot Mode to connect to other Access Points."));
#line 58 "../src/Views/WifiPage.vala"
	_tmp9_ = granite_placeholder_new (_ ("This device is in Hotspot Mode"));
#line 58 "../src/Views/WifiPage.vala"
	granite_placeholder_set_description (_tmp9_, _tmp8_);
#line 58 "../src/Views/WifiPage.vala"
	_g_free0 (_tmp8_);
#line 58 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp9_);
#line 58 "../src/Views/WifiPage.vala"
	hotspot_mode_alert = _tmp9_;
#line 62 "../src/Views/WifiPage.vala"
	_tmp10_ = self->priv->wifi_list;
#line 62 "../src/Views/WifiPage.vala"
	_tmp11_ = _g_object_ref0 ((GtkWidget*) _tmp10_);
#line 62 "../src/Views/WifiPage.vala"
	_tmp12_ = (GtkScrolledWindow*) gtk_scrolled_window_new ();
#line 62 "../src/Views/WifiPage.vala"
	gtk_scrolled_window_set_child (_tmp12_, _tmp11_);
#line 62 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp11_);
#line 62 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp12_);
#line 62 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->scrolled);
#line 62 "../src/Views/WifiPage.vala"
	self->scrolled = _tmp12_;
#line 66 "../src/Views/WifiPage.vala"
	_tmp13_ = (GtkStack*) gtk_stack_new ();
#line 66 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp13_);
#line 66 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->list_stack);
#line 66 "../src/Views/WifiPage.vala"
	self->list_stack = _tmp13_;
#line 67 "../src/Views/WifiPage.vala"
	_tmp14_ = self->list_stack;
#line 67 "../src/Views/WifiPage.vala"
	_tmp15_ = hotspot_mode_alert;
#line 67 "../src/Views/WifiPage.vala"
	gtk_stack_add_child (_tmp14_, (GtkWidget*) _tmp15_);
#line 68 "../src/Views/WifiPage.vala"
	_tmp16_ = self->list_stack;
#line 68 "../src/Views/WifiPage.vala"
	_tmp17_ = self->scrolled;
#line 68 "../src/Views/WifiPage.vala"
	gtk_stack_add_child (_tmp16_, (GtkWidget*) _tmp17_);
#line 69 "../src/Views/WifiPage.vala"
	_tmp18_ = self->list_stack;
#line 69 "../src/Views/WifiPage.vala"
	_tmp19_ = self->scrolled;
#line 69 "../src/Views/WifiPage.vala"
	gtk_stack_set_visible_child (_tmp18_, (GtkWidget*) _tmp19_);
#line 71 "../src/Views/WifiPage.vala"
	_tmp20_ = self->list_stack;
#line 71 "../src/Views/WifiPage.vala"
	_tmp21_ = _g_object_ref0 ((GtkWidget*) _tmp20_);
#line 71 "../src/Views/WifiPage.vala"
	_tmp22_ = (GtkFrame*) gtk_frame_new (NULL);
#line 71 "../src/Views/WifiPage.vala"
	gtk_frame_set_child (_tmp22_, _tmp21_);
#line 71 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp21_);
#line 71 "../src/Views/WifiPage.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp22_, TRUE);
#line 71 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp22_);
#line 71 "../src/Views/WifiPage.vala"
	main_frame = _tmp22_;
#line 75 "../src/Views/WifiPage.vala"
	_tmp23_ = main_frame;
#line 75 "../src/Views/WifiPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp23_, GRANITE_STYLE_CLASS_VIEW);
#line 77 "../src/Views/WifiPage.vala"
	_tmp24_ = ((NetworkWidgetsPage*) self)->info_box;
#line 77 "../src/Views/WifiPage.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp24_, 12);
#line 78 "../src/Views/WifiPage.vala"
	_tmp25_ = ((NetworkWidgetsPage*) self)->info_box;
#line 78 "../src/Views/WifiPage.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp25_, 12);
#line 79 "../src/Views/WifiPage.vala"
	_tmp26_ = ((NetworkWidgetsPage*) self)->info_box;
#line 79 "../src/Views/WifiPage.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp26_, 12);
#line 80 "../src/Views/WifiPage.vala"
	_tmp27_ = ((NetworkWidgetsPage*) self)->info_box;
#line 80 "../src/Views/WifiPage.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp27_, 12);
#line 82 "../src/Views/WifiPage.vala"
	_tmp28_ = ((NetworkWidgetsPage*) self)->info_box;
#line 82 "../src/Views/WifiPage.vala"
	_tmp29_ = _g_object_ref0 ((GtkWidget*) _tmp28_);
#line 82 "../src/Views/WifiPage.vala"
	_tmp30_ = (GtkPopover*) gtk_popover_new ();
#line 82 "../src/Views/WifiPage.vala"
	gtk_popover_set_child (_tmp30_, _tmp29_);
#line 82 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp29_);
#line 82 "../src/Views/WifiPage.vala"
	gtk_popover_set_position (_tmp30_, GTK_POS_BOTTOM);
#line 82 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp30_);
#line 82 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->popover);
#line 82 "../src/Views/WifiPage.vala"
	self->popover = _tmp30_;
#line 87 "../src/Views/WifiPage.vala"
	_tmp31_ = (GtkFrame*) gtk_frame_new (NULL);
#line 87 "../src/Views/WifiPage.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp31_, 12);
#line 87 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp31_);
#line 87 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->connected_frame);
#line 87 "../src/Views/WifiPage.vala"
	self->connected_frame = _tmp31_;
#line 91 "../src/Views/WifiPage.vala"
	_tmp32_ = self->connected_frame;
#line 91 "../src/Views/WifiPage.vala"
	_tmp33_ = _g_object_ref0 ((GtkWidget*) _tmp32_);
#line 91 "../src/Views/WifiPage.vala"
	_tmp34_ = (GtkRevealer*) gtk_revealer_new ();
#line 91 "../src/Views/WifiPage.vala"
	gtk_revealer_set_child (_tmp34_, _tmp33_);
#line 91 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp33_);
#line 91 "../src/Views/WifiPage.vala"
	gtk_revealer_set_transition_type (_tmp34_, GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN);
#line 91 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp34_);
#line 91 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->top_revealer);
#line 91 "../src/Views/WifiPage.vala"
	self->top_revealer = _tmp34_;
#line 96 "../src/Views/WifiPage.vala"
	_tmp35_ = switchboard_settings_page_add_button ((SwitchboardSettingsPage*) self, _ ("Edit Connections…"));
#line 96 "../src/Views/WifiPage.vala"
	settings_button = _tmp35_;
#line 97 "../src/Views/WifiPage.vala"
	_tmp36_ = settings_button;
#line 97 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp36_, "clicked", (GCallback) _network_widgets_page_edit_connections_gtk_button_clicked, (NetworkWidgetsPage*) self, 0);
#line 99 "../src/Views/WifiPage.vala"
	_tmp37_ = switchboard_settings_page_add_button ((SwitchboardSettingsPage*) self, _ ("Connect to Hidden Network…"));
#line 99 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->hidden_btn);
#line 99 "../src/Views/WifiPage.vala"
	self->hidden_btn = _tmp37_;
#line 100 "../src/Views/WifiPage.vala"
	_tmp38_ = self->hidden_btn;
#line 100 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp38_, "clicked", (GCallback) _network_wifi_interface_connect_to_hidden_gtk_button_clicked, self, 0);
#line 102 "../src/Views/WifiPage.vala"
	_tmp39_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 102 "../src/Views/WifiPage.vala"
	_tmp40_ = _tmp39_;
#line 102 "../src/Views/WifiPage.vala"
	_tmp41_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp40_, nm_device_wifi_get_type (), NMDeviceWifi));
#line 102 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->wifi_device);
#line 102 "../src/Views/WifiPage.vala"
	self->wifi_device = _tmp41_;
#line 103 "../src/Views/WifiPage.vala"
	network_wifi_interface_set_active_wifi_item (self, NULL);
#line 105 "../src/Views/WifiPage.vala"
	_tmp42_ = g_strdup (_ ("There are no wireless access points within range."));
#line 105 "../src/Views/WifiPage.vala"
	_tmp43_ = granite_placeholder_new (_ ("No Access Points Available"));
#line 105 "../src/Views/WifiPage.vala"
	granite_placeholder_set_description (_tmp43_, _tmp42_);
#line 105 "../src/Views/WifiPage.vala"
	_g_free0 (_tmp42_);
#line 105 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp43_);
#line 105 "../src/Views/WifiPage.vala"
	no_aps_alert = _tmp43_;
#line 109 "../src/Views/WifiPage.vala"
	_tmp44_ = g_strdup (_ ("Enable wireless to discover nearby wireless access points."));
#line 109 "../src/Views/WifiPage.vala"
	_tmp45_ = granite_placeholder_new (_ ("Wireless Is Disabled"));
#line 109 "../src/Views/WifiPage.vala"
	granite_placeholder_set_description (_tmp45_, _tmp44_);
#line 109 "../src/Views/WifiPage.vala"
	_g_free0 (_tmp44_);
#line 109 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp45_);
#line 109 "../src/Views/WifiPage.vala"
	wireless_off_alert = _tmp45_;
#line 113 "../src/Views/WifiPage.vala"
	_tmp46_ = (GtkSpinner*) gtk_spinner_new ();
#line 113 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp46_, TRUE);
#line 113 "../src/Views/WifiPage.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp46_, GTK_ALIGN_CENTER);
#line 113 "../src/Views/WifiPage.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp46_, GTK_ALIGN_CENTER);
#line 113 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp46_);
#line 113 "../src/Views/WifiPage.vala"
	spinner = _tmp46_;
#line 118 "../src/Views/WifiPage.vala"
	_tmp47_ = spinner;
#line 118 "../src/Views/WifiPage.vala"
	gtk_spinner_start (_tmp47_);
#line 120 "../src/Views/WifiPage.vala"
	_tmp48_ = (GtkLabel*) gtk_label_new (_ ("Scanning for Access Points…"));
#line 120 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp48_, TRUE);
#line 120 "../src/Views/WifiPage.vala"
	gtk_label_set_wrap (_tmp48_, TRUE);
#line 120 "../src/Views/WifiPage.vala"
	gtk_label_set_wrap_mode (_tmp48_, PANGO_WRAP_WORD_CHAR);
#line 120 "../src/Views/WifiPage.vala"
	gtk_label_set_max_width_chars (_tmp48_, 30);
#line 120 "../src/Views/WifiPage.vala"
	gtk_label_set_justify (_tmp48_, GTK_JUSTIFY_CENTER);
#line 120 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp48_);
#line 120 "../src/Views/WifiPage.vala"
	scanning = _tmp48_;
#line 127 "../src/Views/WifiPage.vala"
	_tmp49_ = scanning;
#line 127 "../src/Views/WifiPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp49_, GRANITE_STYLE_CLASS_H2_LABEL);
#line 129 "../src/Views/WifiPage.vala"
	_tmp50_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
#line 129 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp50_, TRUE);
#line 129 "../src/Views/WifiPage.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp50_, GTK_ALIGN_CENTER);
#line 129 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp50_);
#line 129 "../src/Views/WifiPage.vala"
	scanning_box = _tmp50_;
#line 133 "../src/Views/WifiPage.vala"
	_tmp51_ = scanning_box;
#line 133 "../src/Views/WifiPage.vala"
	_tmp52_ = scanning;
#line 133 "../src/Views/WifiPage.vala"
	gtk_box_append (_tmp51_, (GtkWidget*) _tmp52_);
#line 134 "../src/Views/WifiPage.vala"
	_tmp53_ = scanning_box;
#line 134 "../src/Views/WifiPage.vala"
	_tmp54_ = spinner;
#line 134 "../src/Views/WifiPage.vala"
	gtk_box_append (_tmp53_, (GtkWidget*) _tmp54_);
#line 136 "../src/Views/WifiPage.vala"
	_tmp55_ = self->priv->placeholder;
#line 136 "../src/Views/WifiPage.vala"
	_tmp56_ = no_aps_alert;
#line 136 "../src/Views/WifiPage.vala"
	gtk_stack_add_named (_tmp55_, (GtkWidget*) _tmp56_, "no-aps");
#line 137 "../src/Views/WifiPage.vala"
	_tmp57_ = self->priv->placeholder;
#line 137 "../src/Views/WifiPage.vala"
	_tmp58_ = wireless_off_alert;
#line 137 "../src/Views/WifiPage.vala"
	gtk_stack_add_named (_tmp57_, (GtkWidget*) _tmp58_, "wireless-off");
#line 138 "../src/Views/WifiPage.vala"
	_tmp59_ = self->priv->placeholder;
#line 138 "../src/Views/WifiPage.vala"
	_tmp60_ = scanning_box;
#line 138 "../src/Views/WifiPage.vala"
	gtk_stack_add_named (_tmp59_, (GtkWidget*) _tmp60_, "scanning");
#line 139 "../src/Views/WifiPage.vala"
	_tmp61_ = self->priv->placeholder;
#line 139 "../src/Views/WifiPage.vala"
	gtk_stack_set_visible_child_name (_tmp61_, "no-aps");
#line 142 "../src/Views/WifiPage.vala"
	_tmp62_ = rf_kill_manager_new ();
#line 142 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->rfkill);
#line 142 "../src/Views/WifiPage.vala"
	self->priv->rfkill = _tmp62_;
#line 143 "../src/Views/WifiPage.vala"
	_tmp63_ = self->priv->rfkill;
#line 143 "../src/Views/WifiPage.vala"
	rf_kill_manager_open (_tmp63_);
#line 144 "../src/Views/WifiPage.vala"
	_tmp64_ = self->priv->rfkill;
#line 144 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp64_, "device-added", (GCallback) _network_widgets_page_update_rf_kill_manager_device_added, (NetworkWidgetsPage*) self, 0);
#line 145 "../src/Views/WifiPage.vala"
	_tmp65_ = self->priv->rfkill;
#line 145 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp65_, "device-changed", (GCallback) _network_widgets_page_update_rf_kill_manager_device_changed, (NetworkWidgetsPage*) self, 0);
#line 146 "../src/Views/WifiPage.vala"
	_tmp66_ = self->priv->rfkill;
#line 146 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp66_, "device-deleted", (GCallback) _network_widgets_page_update_rf_kill_manager_device_deleted, (NetworkWidgetsPage*) self, 0);
#line 148 "../src/Views/WifiPage.vala"
	_tmp67_ = self->wifi_device;
#line 148 "../src/Views/WifiPage.vala"
	g_signal_connect_object ((GObject*) _tmp67_, "notify::active-access-point", (GCallback) _network_widgets_page_update_g_object_notify, (NetworkWidgetsPage*) self, 0);
#line 149 "../src/Views/WifiPage.vala"
	_tmp68_ = self->wifi_device;
#line 149 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp68_, "access-point-added", (GCallback) _network_wifi_interface_access_point_added_cb_nm_device_wifi_access_point_added, self, 0);
#line 150 "../src/Views/WifiPage.vala"
	_tmp69_ = self->wifi_device;
#line 150 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp69_, "access-point-removed", (GCallback) _network_wifi_interface_access_point_removed_cb_nm_device_wifi_access_point_removed, self, 0);
#line 151 "../src/Views/WifiPage.vala"
	_tmp70_ = self->wifi_device;
#line 151 "../src/Views/WifiPage.vala"
	g_signal_connect_object ((NMDevice*) _tmp70_, "state-changed", (GCallback) _network_widgets_page_update_nm_device_state_changed, (NetworkWidgetsPage*) self, 0);
#line 153 "../src/Views/WifiPage.vala"
	_tmp71_ = self->wifi_device;
#line 153 "../src/Views/WifiPage.vala"
	_tmp72_ = nm_device_wifi_get_access_points (_tmp71_);
#line 153 "../src/Views/WifiPage.vala"
	_tmp73_ = _g_ptr_array_ref0 (_tmp72_);
#line 153 "../src/Views/WifiPage.vala"
	aps = _tmp73_;
#line 154 "../src/Views/WifiPage.vala"
	_tmp75_ = aps;
#line 154 "../src/Views/WifiPage.vala"
	if (_tmp75_ != NULL) {
#line 4154 "WifiPage.c"
		GPtrArray* _tmp76_;
		gint _tmp77_;
		gint _tmp78_;
#line 154 "../src/Views/WifiPage.vala"
		_tmp76_ = aps;
#line 154 "../src/Views/WifiPage.vala"
		_tmp77_ = vala_g_ptr_array_get_length (_tmp76_);
#line 154 "../src/Views/WifiPage.vala"
		_tmp78_ = _tmp77_;
#line 154 "../src/Views/WifiPage.vala"
		_tmp74_ = _tmp78_ > 0;
#line 4166 "WifiPage.c"
	} else {
#line 154 "../src/Views/WifiPage.vala"
		_tmp74_ = FALSE;
#line 4170 "WifiPage.c"
	}
#line 154 "../src/Views/WifiPage.vala"
	if (_tmp74_) {
#line 4174 "WifiPage.c"
		GPtrArray* _tmp79_;
#line 155 "../src/Views/WifiPage.vala"
		_tmp79_ = aps;
#line 155 "../src/Views/WifiPage.vala"
		g_ptr_array_foreach (_tmp79_, _network_wifi_interface_access_point_added_cb_gfunc, self);
#line 4180 "WifiPage.c"
	}
#line 158 "../src/Views/WifiPage.vala"
	_tmp80_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 158 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp80_);
#line 158 "../src/Views/WifiPage.vala"
	content_box = _tmp80_;
#line 159 "../src/Views/WifiPage.vala"
	_tmp81_ = content_box;
#line 159 "../src/Views/WifiPage.vala"
	_tmp82_ = self->top_revealer;
#line 159 "../src/Views/WifiPage.vala"
	gtk_box_append (_tmp81_, (GtkWidget*) _tmp82_);
#line 160 "../src/Views/WifiPage.vala"
	_tmp83_ = content_box;
#line 160 "../src/Views/WifiPage.vala"
	_tmp84_ = main_frame;
#line 160 "../src/Views/WifiPage.vala"
	gtk_box_append (_tmp83_, (GtkWidget*) _tmp84_);
#line 162 "../src/Views/WifiPage.vala"
	_tmp85_ = content_box;
#line 162 "../src/Views/WifiPage.vala"
	switchboard_settings_page_set_child ((SwitchboardSettingsPage*) self, (GtkWidget*) _tmp85_);
#line 164 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 42 "../src/Views/WifiPage.vala"
	_g_object_unref0 (content_box);
#line 42 "../src/Views/WifiPage.vala"
	_g_ptr_array_unref0 (aps);
#line 42 "../src/Views/WifiPage.vala"
	_g_object_unref0 (scanning_box);
#line 42 "../src/Views/WifiPage.vala"
	_g_object_unref0 (scanning);
#line 42 "../src/Views/WifiPage.vala"
	_g_object_unref0 (spinner);
#line 42 "../src/Views/WifiPage.vala"
	_g_object_unref0 (wireless_off_alert);
#line 42 "../src/Views/WifiPage.vala"
	_g_object_unref0 (no_aps_alert);
#line 42 "../src/Views/WifiPage.vala"
	_g_object_unref0 (settings_button);
#line 42 "../src/Views/WifiPage.vala"
	_g_object_unref0 (main_frame);
#line 42 "../src/Views/WifiPage.vala"
	_g_object_unref0 (hotspot_mode_alert);
#line 42 "../src/Views/WifiPage.vala"
	return obj;
#line 4228 "WifiPage.c"
}

static void
network_wifi_interface_class_init (NetworkWifiInterfaceClass * klass,
                                   gpointer klass_data)
{
#line 7 "../src/Views/WifiPage.vala"
	network_wifi_interface_parent_class = g_type_class_peek_parent (klass);
#line 7 "../src/Views/WifiPage.vala"
	g_type_class_adjust_private_offset (klass, &NetworkWifiInterface_private_offset);
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->update_name = (void (*) (NetworkWidgetsPage*, gint)) network_wifi_interface_real_update_name;
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->update = (void (*) (NetworkWidgetsPage*)) network_wifi_interface_real_update;
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->update_status = (void (*) (NetworkWidgetsPage*)) network_wifi_interface_real_update_status;
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->update_switch = (void (*) (NetworkWidgetsPage*)) network_wifi_interface_real_update_switch;
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->control_switch_activated = (void (*) (NetworkWidgetsPage*)) network_wifi_interface_real_control_switch_activated;
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_network_wifi_interface_get_property;
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_network_wifi_interface_set_property;
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (klass)->constructor = network_wifi_interface_constructor;
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (klass)->finalize = network_wifi_interface_finalize;
#line 4257 "WifiPage.c"
}

static void
network_wifi_interface_instance_init (NetworkWifiInterface * self,
                                      gpointer klass)
{
#line 7 "../src/Views/WifiPage.vala"
	self->priv = network_wifi_interface_get_instance_private (self);
#line 21 "../src/Views/WifiPage.vala"
	self->priv->timeout_scan = (guint) 0;
#line 27 "../src/Views/WifiPage.vala"
	self->connected_box = NULL;
#line 4270 "WifiPage.c"
}

static void
network_wifi_interface_finalize (GObject * obj)
{
	NetworkWifiInterface * self;
#line 7 "../src/Views/WifiPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_WIFI_INTERFACE, NetworkWifiInterface);
#line 8 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->rfkill);
#line 9 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->wifi_device);
#line 10 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->active_ap);
#line 12 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->wifi_list);
#line 14 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->_active_wifi_item);
#line 15 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->placeholder);
#line 23 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->connected_frame);
#line 24 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->list_stack);
#line 25 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->scrolled);
#line 26 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->hotspot_mode_alert);
#line 27 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->connected_box);
#line 28 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->top_revealer);
#line 29 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->disconnect_btn);
#line 30 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->settings_btn);
#line 31 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->hidden_btn);
#line 32 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->info_btn);
#line 33 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->popover);
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (network_wifi_interface_parent_class)->finalize (obj);
#line 4315 "WifiPage.c"
}

static GType
network_wifi_interface_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (NetworkWifiInterfaceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_wifi_interface_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWifiInterface), 0, (GInstanceInitFunc) network_wifi_interface_instance_init, NULL };
	GType network_wifi_interface_type_id;
	network_wifi_interface_type_id = g_type_register_static (NETWORK_WIDGETS_TYPE_PAGE, "NetworkWifiInterface", &g_define_type_info, 0);
	NetworkWifiInterface_private_offset = g_type_add_instance_private (network_wifi_interface_type_id, sizeof (NetworkWifiInterfacePrivate));
	return network_wifi_interface_type_id;
}

GType
network_wifi_interface_get_type (void)
{
	static volatile gsize network_wifi_interface_type_id__once = 0;
	if (g_once_init_enter (&network_wifi_interface_type_id__once)) {
		GType network_wifi_interface_type_id;
		network_wifi_interface_type_id = network_wifi_interface_get_type_once ();
		g_once_init_leave (&network_wifi_interface_type_id__once, network_wifi_interface_type_id);
	}
	return network_wifi_interface_type_id__once;
}

static void
_vala_network_wifi_interface_get_property (GObject * object,
                                           guint property_id,
                                           GValue * value,
                                           GParamSpec * pspec)
{
	NetworkWifiInterface * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_INTERFACE, NetworkWifiInterface);
#line 7 "../src/Views/WifiPage.vala"
	switch (property_id) {
#line 4350 "WifiPage.c"
		default:
#line 7 "../src/Views/WifiPage.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 7 "../src/Views/WifiPage.vala"
		break;
#line 4356 "WifiPage.c"
	}
}

static void
_vala_network_wifi_interface_set_property (GObject * object,
                                           guint property_id,
                                           const GValue * value,
                                           GParamSpec * pspec)
{
	NetworkWifiInterface * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_INTERFACE, NetworkWifiInterface);
#line 7 "../src/Views/WifiPage.vala"
	switch (property_id) {
#line 4370 "WifiPage.c"
		default:
#line 7 "../src/Views/WifiPage.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 7 "../src/Views/WifiPage.vala"
		break;
#line 4376 "WifiPage.c"
	}
}

